What is ADCS?

Heatsoft ADCS logo

ADCS is great application and substitute for MS Briefcase.

ADCS is an intuitive directories comparison and synchronization utility from Heatsoft. It will be useful for anyone, who shares documents/programs with friends and colleagues.

ADCS is a very fast and easy-to-use Directory and File synchronizer. Its main function is to synchronize the files in a selected directory and its sub-directories on two different directories or drives which can be on the same computer, or different computers over a network. It is ideal for keeping files synchronized between a desktop & laptop or between multiple drives on you desktop and is a very fast method of backing up critical directories.

With ADCS you can compare two directories including sub-directories with each other, and then copy the files with differences to the target directory, or any other directory.

The overview of Heatsoft ADCS:
Use ADCS to compare and synchronize folder contents. Select your two directories to generate an easy-to follow side-by-side comparison. File size, time/date stamp, and attributes are prominently shown, along with color-coded arrows clearly marking the status of each file involved in the comparison. You can apply filespec filters, copy selected files to a third folder, and execute synchronizations with a single mouse-click.

Other features include directories recursion, multi-directories comparison, .csv and HTML-based comparison reports, disk space viewer, custom sorting and display options, and support for bookmarking frequent synchronization tasks.

Who can benefit from Heatsoft ADCS?
Everyone who must maintain multiple copies of files or folders can benefit from Heatsoft ADCS.

Do you work on your files at home and at the office? Are you a frequent business traveler?
With users working at home, on the road or in the office, it's hard to keep all of the PCs current with the latest files and data. Documents, databases, spreadsheets, sales and contact information all can get changed several times a day. How is the work coordinated on all of the various PCs, making sure that all systems contain the most recent versions of all of the files? Heatsoft ADCS is a tool that solves this problem.

Are you a computer professional: a Programmer, Tester, Trainer, Network Administrator, or Support Technician?
If so, this utility is a MUST. Whenever there are duplicate copies of files/folders across a network, there is always a risk that they may be out of sync. Heatsoft ADCS can eliminate this risk. No more painful inspections for missing files when setting up directories or applying file updates. Creating and comparing test/development folders, applying new program updates/patches, these become more carefully controlled processes by greatly decreasing the risk of human error.


Features

Features list of Heatsoft ADCS version 1.17

Comparison and Synchronization features
  • Side-by-side comparison of two directories.
  • Comparison and Synchronization with subdirectories.
  • Extended synchronization mode for fast performing the operations of Mirror copy and Backup.
  • Ability to do simultaneous multi-directories comparison (Directories pairs basket).
  • Comparison files by content.
  • Detect differences in file size, timestamps, attributes.
  • Ability to change copy direction for synchronization.
  • Ability to copy and synchronize files which are used in other programs.
  • Ability to exclude directories from a comparison.
  • Allows unlimited # of levels of sub-directories to be included in the synchronization.

    Display features

  • Visibility filters.
  • Explorer-style tree of embedded directories.
  • Color emphasis for different files.
  • Preview synchronization window.
  • Comfortable navigation in file list, including mask selection.
  • Multiple files filter. Allows to use Include and Exclude files filters.
  • Advanced include filter by file date, file size, file attributes.
  • List of compared directories (Navigator). Allows to quickly move through the comparison table.
  • Refresh drives in the directories tree.
  • Ability to refresh comparison table.
  • Ability to sort the comparison by name, type, date, size of files. You can change the order of the sorting.
  • Controlling which files will be shown.
  • Configurable directories tree and comparison table by changing settings of the directories tree and settings of the comparison table.
  • Ability to define where the ADCS icon will be shown.
  • Ability to show or hide hidden and system files in the comparison table.
  • Ability to customize the main button bar.
  • Shows refresh progress window when you activate ADCS.
  • Shows file's path in the comparison table.
  • Ability to controling which files will be show in the preview synchronization window.
  • Ability for change ADCS GUI language (multi-language).

    File and Directory Operations

  • Ability to create, delete and rename directories.
  • Ability to copy or delete files.
  • Copying of files with conservation of structure of directories.
  • Change date/attributes for selected files.
  • Add the network neigborhood in the directories trees.
  • Ability to adjust date/time stamps relatively.
  • Ability to explore folders in the directories trees.

    Comparison Criteria

  • Comparison rules. You can change directory comparison criteria (file timestamp, file size, file attributes).
  • Ignore NTFS/FAT differences (can ignore FAT 2 second rounding).
  • Ability to ignore daylight savings (in most time zones the difference is 1 hour).
  • Ability to adjust timezone difference manually.

    Information features

  • Disk space viewer. Allows to view a directories structure and their size via piechart.
  • System information. You can see system information about software, hardware and network on your computer.
  • Shows the properties window for drive, directory or file.

    Services features

  • Ability to generate comparison report. Allows generate comparison report.
  • Saves your favorite directories for fast repositioning.
  • Network connections. Allows to connect and disconnect network drives.
  • Ability to open files in their associated application.
  • Ability for changing method for refresh comparison table.
  • Ability to enable/disable sound confirmation.
  • Ability to define which confirmation window will be shown.
  • Ability to remove empty folders.

    Other features

  • Making its easy to install, move or delete.
  • Context help.

    See also:
    Nearest features
    Versions history


Nearest features

As the list of the possibilities of this version program will be increased in the near future, you may take part in the improvement of the program sending us your own remarks and offers.

The new features for the nearest versions of Heatsoft ADCS:

  • Users profiles (creating, editing and executing)
  • Automatic scheduled comparison, synchronizing and copying
  • File browser like Windows Explorer
  • Packs and unpacks directories and files
  • Work with archives as directories (comparison, synchronization their contents)
  • Directories synchronization via FTP

    Note:
    If you want another features let us know.

    See also:
    Main features of Heatsoft ADCS
    Versions history


Versions history

Heatsoft ADCS 1.17 (release January 21, 2004). The new features:

  • Add the network neigborhood in the directories trees.
  • Ability to adjust date/time stamps relatively.
  • Ability to explore folders in the directories trees.

    Heatsoft ADCS 1.16 (release September 17, 2003). The new features:

  • Ability to remove empty folders.
  • Ability to remove empty folders in synchronization.
  • Ability to refresh comparison table.

    Heatsoft ADCS 1.15 (release August 05, 2003). The new features:

  • Ability to exclude directories from a comparison.

    Heatsoft ADCS 1.14e (release April 11, 2003). The new features:

  • Light improvements in the algorithm of read Directories tree.
  • Improvements in the comparison algorithm:
    - the new algorithm allows to run comparison at least two times faster on local drives;
    - the improvements speed up refresh of comparison table.
  • Improvement of the comparison report.

    Heatsoft ADCS 1.13 (release February 27, 2003). The new features:

  • Light improvements in the Directories pairs basket:
    - sorting pairs by full path and by last directory name;
    - refresh basket content (pairs paths validations);
    - edit pairs.
  • Improvements in the Disk piecharter:
    - new algorithm allows to build the Piechart at least two time faster than previous one;
    - ability to build the Piechart for any directory (supports UNC paths);
    - added new colors schemes.
  • Ability to break checking for disk changes.

    Heatsoft ADCS 1.12 (release December 03, 2002). The new features:

  • Ability for change ADCS GUI language (multi-language).
  • Advanced include filter by file date, file size, file attributes..
  • Ability to adjust timezone difference manually.

    Heatsoft ADCS 1.11 (release October 10, 2002). The new features:

  • Added button Skip all errors in Copy and Delete confirmations windows.
  • Ability to define which confirmation window will be shown.
  • Added some new buttons in the directories pairs basket toolbar.
  • Ability to controling which files will be show in the preview synchronization window.

    Heatsoft ADCS 1.10 (release May 15, 2002). The new features:

  • Some bugs fixed for NT/2000/XP users.
  • Change date/attributes for selected files.
  • Shows file's path in the comparison table.

    Heatsoft ADCS 1.09 (release March 21, 2002). The new features:

  • Minor GUI bugs fixed.
  • Extended synchronization mode for fast performing the operations of Mirror copy and Backup.
  • Preview synchronization window.
  • Ability to clear the Directories pairs basket.

    Heatsoft ADCS 1.08 (release February 07, 2002). The new features:

  • Minor GUI bugs fixed.
  • Light improvements and minor bugs fixing in:
    - disk space viewer;
    - algorithms of content comparison;
    - the comparison report.
  • Ability to do simultaneous multi-directories comparison (Directories pairs basket).

    Heatsoft ADCS 1.07 (release November 12, 2001). The new features:

  • Some bugs fixed.
  • Improvements of algorithms of comparison directories and sorting files. These improvements allow comparison to go faster up to 5 times on large directories.
  • Improvements of algorithms of refresh the compare table. Sometimes it can dramatically cut down comparison time.
  • Ability for changing method for refresh comparison table.
  • Ability to enable/disable sound confirmation.

    Heatsoft ADCS 1.06 (release June 25, 2001). The new features:

  • Favorites for directories paires.
  • Ability to ignore daylight savings.

    Heatsoft ADCS 1.05 (release May 03, 2001). The new features:

  • Comparison files by content.
  • Added some new operations for marks.

    Heatsoft ADCS 1.04 (release March 15, 2001). The new features:

  • Ability to show or hide hidden and system files in the comparison table.
  • New Visibility filters were added.
  • Ability to save last dirs and go to them at start.
  • Ability to save program mode and restore it at start.
  • Ability to go to the home of compared dirs in the list of compared dirs.

    Heatsoft ADCS 1.03 (release February 12, 2001). The new features:

  • Some GUI bugs fixed.
  • Now ADCS shows refresh progress window when you activate ADCS.
  • Added some new keyboard shortcuts.
  • Multiple files filter. Allows to use Include and Exclude files filters.
  • Ability to copy and synchronize files which are used in other programs.
  • Ability to customize the main button bar.
  • Ability to define where the ADCS icon will be shown.
  • Ability to hide horizontal lines in the comparison table.

    Heatsoft ADCS 1.02 (release January 01, 2001). The new features:

  • Some bags fixed.
  • Ability to open files in their associated application.
  • Added some new keyboard shortcuts.
  • Shows the properties window for files.

    Heatsoft ADCS 1.01 (release December 06, 2000). The new features:

  • Fixed some serious bags for Microsoft Windows NT, 2000.
  • Ignore NTFS/FAT differences (up to 2 seconds).
  • Network connections. Allows to connect and disconnect network drives.

    Heatsoft ADCS 1.00 (release November 11, 2000). The new features:

  • Some bags fixed
  • Disk space viewer. Allows to view a directories structure and their size via piechart.
  • Refresh drives in the directories tree.
  • Shows the properties window for directory and drive.

    Heatsoft ADCS 0.9 beta (release September 30, 2000). The new features:

  • Some bags fixed
  • System information. You can see system information about software, hardware and network of your computer.
  • Ability to generate comparison report.
  • Ability to create, delete and rename directories in the directories tree.

    Heatsoft ADCS 0.8 beta (release September 14, 2000). The new features:

  • Some bags fixed
  • Ability to sort the comparison by name, type, date, size of files. You can change the order of the sorting.
  • Comparison rules. You can change directory comparison criteria.

    Heatsoft ADCS 0.7 beta (release September 07, 2000). The main features:

  • Side-by-side comparison of two directories.
  • Explorer-style tree of embedded directories.
  • List of compared directories (Navigator). Allows to quickly move through the comparison table.
  • Filename and extension filter.
  • Saves your favorite directories for fast repositioning.
  • Ability to compare, copy or delete files.
  • Copying of files with conservation of structure of directories.
  • Detect differences in file size, timestamps, attributes.
  • Ability to change copy direction on synchronization.
  • Date filter helps to find files you changed recently.
  • Comfortable navigation in file list, including mask selection & search.
  • Color emphasis for different files.
  • Making its easy to install, move or delete.
  • Context help.
  • Allows unlimited # of levels of sub-directories to be included in the synchronization.
  • Configurable directories tree and comparison table by changing settings of the directories tree and settings of the comparison table.

    See also:
    Main features of Heatsoft ADCS
    Nearest features


Quick start tutorial

The quickest way to introduce yourself to Heatsoft ADCS is to use this program. This tutorial guides you through the some actual situations which you can solve with Heatsoft ADCS. The all situations are described step by step. So, if you read this guides carefully many from your questions will be solved.

See tutorials list:
Tutorial 1
How can I fast synchronize multiple directories from Home computer to Office computer, via my Laptop

Tutorial 2
How can I fast do the MIRROR COPY of directory "c:\My Documents" to the "f:\My Documents"

Tutorial 3
How can I fast do the BACKUP COPY directory "c:\My Documents" to the "d:\Backup\My Documents"

Tutorial 4
How can I print directory contents

Tutorial 5
How can I ensure that data on my burned CD disk has the SAME CONTENT as source data on my hard drive

Tutorial 6
How can I delete all files with extensions tmp, bak, old, $$$ from disks "c:\" and "d:\"

Tutorial 7
How can I copy from two directories to a third directory all files that are different

Tutorial 8
How can I find on the whole disk "c:\" all files with extensions gif, bmp, jpeg, jpg and copy the files to a third directory

Tutorial 9
How can I work with the Disk space viewer


Order

Thank you very much for your interest!

The registration fee for Heatsoft ADCS is $30 US.

We strongly recommend you to read License agreement between you and Heatsoft Corporation for using the software product.

Before you place the order please READ CAREFULLY our Return Policy and Privacy Policy.

Purchasing Heatsoft ADCS license

There are several options for purchasing a user license to Heatsoft ADCS (Advanced Directory Comparison and Synchronization):

From within ADCS with a credit card. Download ADCS from our web-page, install it, run it, and choose the main menu item 'Help|Buy from within ADCS'. This runs a purchase wizard. Your credit card information will be transmitted securely for processing, and your ADCS registration code will be automatically stored and activated on your computer (as well as emailed to you).

You may purchase Heatsoft ADCS with following ordering options:

  • From the the Heatsoft Corporation web store with a credit card.
  • Phone Order
  • Fax Order
  • Purchase Order
  • Postal Mail Order

    We offer volume discount pricing for Heatsoft ADCS, as shown below:

    Quantity | Price
    1 to 2 copies | $30.00 per copy
    3 to 5 copies | $25.00 per copy
    6 to 9 copies | $23.00 per copy
    10 to 19 copies | $20.00 per copy
    20 or more copies | $15.00 per copy

    The registration information will be emailed to you. Then enter your ADCS registration code (use the menu item 'Help|Enter registration code'). In order to complete registaration you must activate the registration code. Use the main menu item 'Help|Activate registration code' for the activation. The activation requires an internet connection.

    Should you have any questions about purchasing ADCS please email us at support@heatsoft.com.

    See also:
    The main window
    License agreement
    Privacy policy
    Return policy


Multilingual (International) support

Heatsoft ADCS 1.17 supports multi-language option. ADCS interface can be changed to any language, which can be encoded by using a single-byte coding scheme (Western languages).

At this time Heatsoft ADCS 1.17 GUI has following languages:

  • English
  • Brazilian Portuguese
  • Croatian
  • French
  • German
  • Italian
  • Russian
  • Simplified Chinese
  • Spanish
  • Swedish

    If your native language is not in the list above you may translate Heatsoft ADCS GUI for yourself. To do that locate the file "template.lng" in the subdirectory of Heatsoft ADCS directory "Language" (for examlpe c:\Program Files\ADCS\Language) and translate it into your language. The file "template.lng" is a plain-text file.

    Below are lines from the original file "template.lng":

    // &File
    mnu_File=

    // &Network
    mnu_Network=
    ....

    the lines in your translated "your_language.lng" must be as follows:

    // &File
    mnu_File="&File" in your language

    // &Network
    mnu_Network="&Network" in your language

    To change ADCS interface language follow the steps:

    1. Select the menu item View|Change language... The Options window will be opened.
    2. In the window choose directory where your translated file is (field "Language file source directory").
    3. Select the file in list "Languages files in source directory" and click on the button .
    4. The interface should be in your language.

    You may earn registration if you provide us your translated file for new language. more information how earn registration please visit the Earn registration web-page.

    Should you have any questions or concerns you may ask us online onto the Support web-page.

    See also:
    Order
    The main window


The main window

In this section the user interface components of Heatsoft ADCS are described.

ADCS Main window

Notes:

  • You can customize characteristics of ADCS by changing settings in the Options window. To activate the Options window click on the button Options ( Button options) in the Info toolbar. Also you can use Options (CTRL+O) menu item from the View menu menu to activate Options window.
  • If you click on an item or area in ADCS window with the alternate mouse button, a context menu appears giving you quick access to relevant commands.

    See also:
    The main menu
    The toolbar
    Current directories
    Directories tree
    Comparison table
    Favorites list
    Options window
    List of compared directories (Navigator)
    Directories pairs basket
    System information
    Overview of the Disk space viewer


The main menu

The main menu of Heatsoft ADCS consists of following items

Heatsoft ADCS menu

File Network View Basket File operations Mark Show

See also:
The main window
The toolbar
Current directories
Directories tree
Comparison table
Favorites list
Options window
List of compared directories (Navigator)
Directories pairs basket
System information
Overview of the Disk space viewer


About the toolbars

The toolbars by default, located below the menu bar. The toolbars provide shortcuts for menu commands. Commands are organized into several toolbars, which can be independently repositioned or pulled into floating tool windows by dragging with the mouse. On the screen below you can see the toolbars by default:

You can display or hide toolbars using menu View|Toolbars or right-clicking on any of the toolbars and checking or unchecking name of a toolbar.

The toolbars that can appear are below:

Compare | Compare toolbar
Trees | Trees toolbar
View | View toolbar
Services | Services toolbar
File operations | File operations toolbar
Visibility filters shortcut | Filters toolbar
Info | Info toolbar
Visibility filters | Visibility filters combobox

The toolbars have help hints. You can point to any of the tools on the toolbar and pause to see what the tool is used for.

See also:
The main window
All toolbars
Menu View|Toolbars


Directories tree

The main window of ADCS has two directories trees. The directories tree allow to choose source directory and destination directory in order to compare them.

Notes:

  • If a directory contains subdirectories, a [+] appears next to the directory icon. You can expand the directory to show the subdirectories by clicking on the [+], or by selecting the directory and pressing <Right> or <Numpad +>. A [-] will appear to an expanded directory.
  • You can collapse a directory to hide its subdirectories by clicking on the [-], or by selecting the directory and pressing <Left> or <Numpad ->.
  • A context menu will be shown when you click on an directory with the alternate mouse button.

    Image | Shortcut | Description
    Button history | CTRL+H | View history of using directories
    Button favorites | CTRL+F | View list of the favorites directories

    Properties
    To show directory or harddrive properties use ALT+ENTER shortcut. Select directory or harddrive what is interesting for you in the directories tree and press ALT+ENTER or select menu File|Properties. This will open the properties dialog box for selected directory or harddrive.

    Create directory
    To create a directory use F7 shortcut. This command creates a new subdirectory in the source directory. After pressing F7 in the directories tree, simply type the desired name for the directory in the appeared window.

    Rename directory
    To rename a directory use SHIFT+F6 shortcut. This command permits the renaming directories in the directories tree.

    Select the directories in the directories tree you want to rename, then press SHIFT+F6. This will open an inplace edit window around the directory to be renamed.

    Important: You must press ENTER to confirm that you want to rename the directory. Clicking outside the inplace edit window will also consider as confirm the operation.

    Note:
    Don't use symbols \ / : * ? " < > | in a folder name.

    Delete directory
    In the directories tree select a directory that you want to delete and then press F8. After confirmation, a directory will be deleted.

    Note:
    If in the options (page General) set Delete to Recycle Bin then a directory will be deleted to the Recycle Bin.

    See also:
    Main window
    The main menu
    The toolbar
    Current directory
    Comparison table
    Favorites list
    Options window
    List of compared directories (Navigator)
    System information


Directories pairs basket

The Directories pairs basket can be activated by click ( Button basket CTRL+D) on the services toolbar or by select menu View| Directories pairs basket. The basket can be aligned on the left or on the right on the directory trees. You may change alignment of the basket in the options window. An examlpe of the Directories pairs basket is on the picture below:

Notes:

  • Icon in the center of pair:
    - icon means simple directories pair - without subdirectories.
    - icon means directories pair with their subdirectories
  • Click alternative mouse button at the Directories pairs basket to activate basket context menu.

    The Directories pairs basket is an interface that enables to do simultaneous multi-directories comparison. ADCS will compare all directories that are in the basket and a user will see all the directories in the comparison table simultaneously.

    If you have many directories to sync you may to do this with the basket at one click. The Directories pairs basket is an extension of the "favorites". You do not need to add dozens of pairs to the "favorites" anymore.

    The basket commands
    The Directories pairs basket commands are represented onto basket toolbar. The toolbar consists of a number of small buttons identified by icons. If you leave the mouse cursor on a button for a moment a small window with a description will appear.

    Note:

  • To activate a command, click on the corresponding button with the primary mouse button.
  • To get a short description of the function of each button, rest the mouse cursor over the button.

    Image | Shortcut | Description
    None | Adds a pair of directories into the basket. The paths are retrieved from selected directories trees items. The directories will be compared without their subdirectories.
    None | Adds a pair of directories into the basket. The paths are retrieved from selected directories trees items. The directories will be compared with the all of their subdirectories.
    None | Toggles how directories of a pair will be compared: with or without their subdirectories.
    None | Removes selected pair from the basket.
    None | Clear basket (removes all pairs from the basket).
    None | Sets the selected pair in the directories trees.
    CTRL+F5 | Compares all the directories pairs which are in the basket.
    CTRL+S | Synchronizes compared directories.
    None | Refresh the directories pair basket content.
    SHIFT+F12 | Saves current basket content as a group for further quick reference.
    None | Deletes selected group from the Groups of pairs.
    SHIFT+F6 | Renames selected group in the Groups of pairs.
    None | Replace current basket content with the selected group's one.
    ALT+G | Shows the Groups of pairs panel.

    Using the basket
    To use the basket, browse in the directories trees, and add desired directories pairs to the basket. Finally, you get the basket content similar as it shows below:

    TASK: backup
    c:\workdir\dir1<->h:\backup\work\d1
    c:\otherworkdir\dir2\subdir4<->h:\backup\work\d2
    d:\entertaiment\pictures<->h:\backup\entertaiment

    To compare the basket content press CTRL+F5. ADCS will compare only the directories and you will see all the directories in the comparison table simultaneously.

    The groups of pairs
    The example above is good to solve single task, for instance, it was backup. But you may have other similar tasks such as synchronization Laptop <-> Desktop, etc. And every of aforesaid tasks will contain its own set of compared directories.

    ADCS provides the groups of pairs which would be helpful to manage sync tasks. The basket contents can be stored as a group of pairs for further quick access.

    To store the basket contents as a group of pairs click the button ( [image] Save group). The Save pairs as group window will appear. In the window you can write a name of a new group. When you set the group's name the line with the name will be added into the Groups of pairs list.

    To delete a group of the directories from the list select the group in the Groups of pairs list and click the button ( [image] Delete group). The Confirmation window will appear. When you confirm the deleting operation the line with the selected group will be removed from the Groups of pairs list.

    To change a name of a group select the group in the Groups of pairs list and click the button ( [image] Rename group). The Rename directories group window will appear. In the window you can write new name of the group. When you confirm the renaming operation the line with the new name will be placed in the the Groups of pairs list.

    To replace current basket content with the group's one select a group in the Groups of pairs list and click the button ( [image] Copy group content to the basket).

    See also:
    Main window
    The main menu
    The toolbar
    Current directories
    Directories tree
    Comparison table
    Favorites list
    Options window
    List of compared directories (Navigator)
    System information
    Overview of the Disk space viewer


Comparison table

The comparison table displays content of compared directories.

You can see paths for compared directories and actual filename filter in the pane above the head of the comparison table. Include filter is placed at end of the compared directory's path. On picture above the filter is *.* (include all files). Filter for exclude files is written in the brackets after include filter. On the picture exclude filter is *.gif (exclude GIF files).
- red dot on this button means that advanced include filter is used. Click on the button to see filter specification.
- this button allows to open View directory exclude patterns window.

You can see current browse paths in the pane above tabstop header of the comparison table. On picture above paths are C:\My Documents and E:\My Documents.

Here the compared directories are shown, and (if chosen by the user) also their subdirectories. Each subdirectory is delimited by a gray bar. The symbol in the middle defines the synchronization direction, which can be chosen by the user. The coloring of the text defines the default synchronization direction determined by the comparison:

Green (by default) | Synchronizing from left to right
Blue (by default) | Synchronizing from right to left
Black | Files which are considered identical by current comparison rules (no synchronization direction)
Empty box | Files which have equal timestamp and unequal size or attributes. These files are not considered identical by current comparison rules and have no synchronization direction because have equal timestamp.

You can see these symbols in the comparison table in the comparison by content mode:

Green (by default) | Synchronizing from left to right
Blue (by default) | Synchronizing from right to left
Black equal | Files have identical content and are considered identical by current comparison rules (no synchronization direction)
Red equal | Files have identical content and are considered unequal by current comparison rules
Red unequal | Files are unequal by content

The synchronization direction can be chosen for multiple files at the same time by following ways:

  • with the right click menu
  • with the menu Mark from the main menu
  • by clicking primary mouse button at the mark

    Selecting files
    To select a file, click on it with the primary mouse button, or move the focus to the item using the arrow keys. To select additional files, hold down and click on a file, or move the focus to a file and press to select/unselect it. To select a range of files, first select the first item in the range, then select the last item in the range while holding down . To select all files, use the Mark|Select all files menu command.

    Sorting files
    The tabstop header allows to sort the list of compared files by name, extension, size, and date&time on the appropriate header. Clicking on the same headers reverses the order. A small arrow on the left of the header text shows the sort direction.

    The tabstop header also allows to move the tabstop position of the list. To return back position of columns you have to click on the button Autosize columns in the comparison table ( Button autosize columns) in the Services toolbar.

    To sort files in compared directories:

    Header | Meaning
    Name | Sorting the files by name, then by extension
    Ext | Sorting the files by type (extension), then by name
    Size | Sorting the files by their size on disk, then by name, then by extension
    Date | Sorting the files by their creation date and time, then by name, then by extension

    See also:
    Main window
    The main menu
    The toolbar
    Current directory
    Directories tree
    Favorites list
    Options window
    List of compared directories (Navigator)
    System information


List of compared directories (Navigator)

List of compared directories can be activated by click Button navigator (CTRL+N) on the Services toolbar or by select menu View|Navigator. List of compared directories is on the picture below:

List of compared directories helps quickly to move through the comparison table. List of compared directories contains names of directories. By choosing one of them you automatically move to this directory in the comparison table. By choosing string * Home Dirs * you move to the directories from which comparison was started.
Color of the directories name is the same as the color of files of the directories in the comparison table. If color is black this means that directories exist on the left and right parts of the comparison table.

See also:
Main window
The main menu
The toolbar
Current directory
Directories tree
Comparison table
Favorites list
Directories pairs basket
Options window


The options window

Options window can be activated by click on the button Options ( Button options) on the Info toolbar or by select menu View|Options (CTRL+O).

The options are divided into groups as follows:

ADCS Options window

Click Ok to apply your changes temporarily, or Save settings to apply them permanently.
Some settings can also be changed using context menu. Most of these settings are automatically saved permanently.

See also:
General options (general program settings)
Layout (options of the main window)
Trees (directories tree options)
Compare (options of comparison tables)
Disk piecharter: General (options of Disk space viewer)
Disk piecharter: Styles (styles settings)
Comparison rules (directory comparison criteria)
Confirmations (defines which confirmations windows will be shown)
Language (options for change ADCS GUI language)
The main window


The system information

Opens the window with a variety of system information on your hard- and software.

In this window you may see Data of your computer and last compare information.

Field | Meaning
Operating system | Type of the operating system include OS version, Register Information, Product ID, First Intall Date.
Memory | Free memory, excluding memory simulated on disk (swap file). In Windows 95/98, this value is meaningless because it's always equal to the total amount of memory. Heatsoft ADCS therefore shows the amount of unallocated memory, and a percentage value which shows the "memory load". If this value approaches 0 you should think about buying additional memory. Size of the virtual memory simulated on your hard disk (only ENHANCED mode). This can be either permanent or temporary. In the latter case, the maximum size allowed is shown.
CPU | Type of the micro-processor.
User name | Network user name.
Computer name | Network computer name.
Workgroup | Network workgroup.
Comment | Comment.
Time elapsed since OS was started start | Elapsed time since OS was last started.

Note:
These settings are only present if a MS Network is installed (built into WfWg and Windows 95/98/NT).

See also:
Last compare information
The main window


The keyboard shortcuts

Common shortcuts
This group of shortcuts allows you to quick switch between different program modes.

Shortcut | Description
ALT | Activate the main menu
ALT+F | Activate the File menu
ALT+N | Activate the Network menu
ALT+V | Activate the View menu
ALT+P | Activate the File operations menu
ALT+M | Activate the Mark menu
ALT+H | Activate the Help menu
ALT+ENTER | Shows drive, directory or file properties
CTRL+I | Shows window with information on process of comparison and system information
CTRL+B | Shows boths directories trees and comparison table
CTRL+G | Shows only comparison table
CTRL+N | Shows the list of compared directories (Navigator)
CTRL+O | Shows the options window
CTRL+T | Shows only directories trees
CTRL+V | Start work with Disk space viewer
CTRL+E | Shows the Remove empty folders window
F1, CTRL+F1 | Shows help window

Shortcuts for the Directories tree
This group of shortcuts allows quickly to manage Directories trees.

Shortcut | Description
CTRL+F | Shows list of the favorites directories
CTRL+H | Shows history of using directories
CTRL+R | Refresh the directories tree
CTRL+S | Synchronize directories
CTRL+U | Up one level in the directories tree
CTRL+Z | Collapse all open items in the directories tree
CTRL+TAB | Make same paths in the directories trees
ALT+B | Allows switching between two comparison mode: by filedata mode and by content mode
F5 | Compare directories
ALT+F5 | Compare directories with subdirectories
F7 | Create directory
F8 | Delete directory
SHIFT+F6 | Rename directory
ALT+W | Explore for files

Shortcuts for the Directories pairs basket
This group of shortcuts allows quickly to manage Directores pairs basket.

Shortcut | Description
DEL | Removes selected pair from the Directores pairs basket
ENTER | Edit selected pair from the Directores pairs basket
CTRL+D | Shows the Directores pairs basket in the main window
CTRL+F5 | Compares all the directories pairs which are in the basket
SHIFT+F12 | Saves current basket content as a group for further quick reference
SHIFT+F6 | Renames selected group in the Groups of pairs
ALT+G | Shows the Groups of pairs panel

Shortcuts for the Comparison table
This group of shortcuts allows quickly to manage Comparison table.

Shortcut | Description
ALT+L | Visible / Invisible files which by comparison need to be copied from left to right
ALT+E | Visible / Invisible files which are considered equal with the current compare settings
ALT+R | Visible / Invisible files which by comparison need to be copied from right to left
ALT+S | Visible / Invisible files which exist on one side only
ALT+D | Visible / Invisible files which exist on both sides
ALT+T | Change date/attributes for selected files
CTRL+A | Select / Unselect all files in the comparison table
F4 | Refreshing comparison table
F12 | Filtering files
F11 | Open Set directory exclude patterns window
CTRL+F11 | Open View directory exclude patterns window
CTRL+P | Allows configurate and generate comparison report
CTRL+1 | Sorting files by name
CTRL+2 | Sorting files by extension
CTRL+3 | Sorting files by size
CTRL+4 | Sorting files by date/time
CTRL+5 | Ascending sort order
CTRL+6 | Descending sort order
CTRL+7 | Panel to sort is left
CTRL+8 | Panel to sort is right
DEL | Delete files
ENTER | Open files in their associated application
SHIFT+F5 | Copying of files from comparable directories in third directory (Copy Anywhere)
SHIFT+CTRL+L | for selected items: Set marks only to left
SHIFT+CTRL+R | for selected items: Set marks only to right
SHIFT+CTRL+D | for selected items: Set all marks (default direction)
SHIFT+CTRL+E | for selected items: Reverse marks with equal name
SHIFT+CTRL+C | for selected items: Clear marks

Shortcuts for the Disk space viewer
This group of shortcuts allows quickly to manage Disk space viewer.

Shortcut | Description
SHIFT+ALT+G | Shows only directories on the disk piecharter
SHIFT+ALT+H | Shows only files on the disk piecharter
SHIFT+ALT+A | Shows directories and files on the disk piecharter
SHIFT+ALT+S | Include size
SHIFT+ALT+P | Include percent
SHIFT+ALT+N | Allows to cut long names
SHIFT+ALT+D | It limits quantity of directories on the disk piecharter
SHIFT+ALT+F | It limits quantity of files on the disk piecharter

See also:
The main menu
About the toolbars
Directories tree
Comparison table
Options window
Overview of the Disk space viewer


Comparison start tutorial

The process of the comparison of directories consists of simple steps:

Step 1
In the directories trees select the directories for compare.

Step 2
Select the comparison mode. To switch the mode click on the button Compare content for duplicate files ( [image]) in the compare toolbar or select menu File|Content comparison (ALT+B). Switching to content mode will occur additional comparison of content for duplicate files which have the same size. By default ADCS will compare directories in filedate mode.

Step 3

  • If you want to comparison the directories without subdirectories then select from the menu File|Compare directories ( Button compare without subdirectories F5).
  • If you need comparison the directories with subdirectories then select from the menu File|Compare with subdirectories ( Button compare with subdirectories ALT+F5).
    When the comparison process is started it can be stopped by pressing on Esc key.

    Step 4
    After the comparison process is completed you see the comparison table. This table displays the files being kept in the compared directories.

    Notes:
    After the process of the comparison of the directories ended, you can:
    Compare by content for duplicate files
    Synchronize directories
    Controlling what files will be shown
    Apply filter to view only interesting for you files in the directories
    Generate the comparison report
    Open files in their associated application
    Select files and then:
    Copy files anywhere
    Delete files
    Set and change marks of files

    See also:
    Quick start tutorial
    Display files
    Synchronizing directories
    Copy files or directories
    Delete files


Comparison modes: by filedata and by content

ADCS allows to make comparison of duplicate files in two modes: by filedata and by files content. Comparison that based on filedata only will compare file's date/time, size and attributes that will be taken from files. Comparison that based on files content is like filedata comparison and additional does comparison of files content. Comparison by content is more reliably, but it may take more time.

You can switch this modes by clicking on the button Compare content for duplicate files ( Button comparison by content.gif) in the compare toolbar or select menu File|Content comparison (ALT+B). Switching to content mode will occur additional comparison of content for duplicate files which have the same size.

User interface has some differences for the modes. Filedata comparison mode has disabled some buttons on the Visibility filters shortcut and Visibility filters are changed. Also comparison table has different marks symbols for each mode.

See also:
Comparison by filedata
Comparison by content
Visibility filters
Visibility filters for content mode
Visibility filters for filedata mode
Visibility filters shortcut
Comparison start tutorial
Quick start tutorial
The main window
All toolbars
Comparison table


Controlling which files will be shown

Options for the file display: these options become effective immediately, without a new comparison.

To controlling which files will be show you can use Visibility filters or Visibility filters shortcuts.

See also:
Visibility filters
Visibility filters shortcuts
Comarison start tutorial
Filtering files
Synchronizing directories
Copy files or directories
Delete files


Synchronizing directories

When directories that are interesting for you were compared you can synchronize them. To synchronize the directories click on the button Synchronize directories ( Button synchronize) in the file operations toolbar or select menu File operations|Synchronize (CTRL+S). This will open the Synchronize dialog box to synchronize marked files.

Note:
Only marked files will be synchronize!

See also:
Display files
Synchronization modes
Copy files or directories
Delete files


Copy files

The Copy selected files to another directory ( Button copy to selected files another directory SHIFT+F5) command allows you to copy one or more files to a different directories. You can select this command from the main menu item File operations or from comparison table popup menu. Upon invoking the command, a dialog box appears allowing you to specify the target directory.

Field | Meaning
Source directories | Displays paths to source directories.
Pairs list | This button opens List of compared directories pairs. This button appears only if compared more than one pair.
Destination directory | Displays a path to a destination directory. Destination directory is the edit place. You can write a path to a destination directory, if destination directory does not exist ADCS will create it.
Destination directories history | Displays the list of previous destination directories. This list allow you to quickly select a destination directory.
Remove item | Deletes selected directory from the destination directories history list.
Clear history | Clears the destination directories history list.
Browse | Allows to browse to find a destination directory.
With directories structure | If checked, then ADCS will be copying files with directories structure.
When destination file exist | Allows to define what will be do ADCS when a destination file exists. (Overwrite, Skip, AutoRename, Ask).
Ok | Starts executing process of copying files.
Cancel | Closes the dialog box without executing process of copying files.

See also:
Comarison start tutorial
Display files
Synchronizing directories
Delete files
Change date/attributes for selected files


Filtering files

Filtering files window can be activated by click on the button Apply filter Button file filter (F12) in the file operations toolbar or by select menu File operations|File filter.

On the screen below you can see Set filter window:

Set filter window

The field Include file filters is used to define a filter for files that will be shown.
The field Exclude file filters is used to define a filter for files that will not be shown.

A filter can include the special symbols, which are listed below:
Symbol | Description
* | In file name on this place can be any number of any characters.
? | In file name on this place should be a single character.
; | This symbol separates filter's parts.

Let's say there are three files in the comparison table: air.exe, air.com, water.exe.

Operation | Task | Implementation | Files in the table
OR | File name must begin with letter "A" OR must end with letter "E" | Include: a*; *e | air.com, water.exe
NOT | File name should NOT begin with letter "A" | Exclude: a* | water.exe
Ex #1 | Shows all files which have names length of seven characters | Include: ??????? | air.exe, air.com
Ex #2 | Shows all files whose names end with "EXE" but do NOT begin with letter "A" | Include: *exe Exclude: a* | water.exe

Filters rules:

  • Filter can contain any numbers of filters parts. Filters parts separate by ";".
  • Filters parts concatenate by OR.
  • Filters part "*.*" means including all files. Doesn't matter contains a file "." or not.
  • Any numbers of "*" or any numbers of spaces will considered as "*.*".
  • Exclude filter like "*.*" shows all files.
  • File name like readme.txt contains a dot, but this dot doesn't appear in the comparison table. So the filter like readme?txt shows file readme.txt and don't shows file readme1.txt.

    Advanced include filter
    Field | Description
    Date filter | This group allows to filter out files by last modified file date.
    Older than A | This field allow to specify a file date range for filtering. The file date range filter makes visible those files which last modified date are older than the given date range.
    Newer than A | This field allow to specify a file date range for filtering. The file date range filter makes visible those files which last modified date are newer than the given date range.
    Between A and B | These two fields allow to specify a file date range for filtering. The file date range filter makes visible those files which last modified date are between the given date range.
    Beyond A and B | These two fields allow to specify a file date range for filtering. The file date range filter makes visible those files which last modified date are beyond the given date range.
    <0> | Sets time to zero (00:00:00).
    Set current | Inserts the current date and time.
    Size filter | This group allows to filter out files by file size.
    More than A | This field allow to specify a file size range for filtering. The file size range filter makes visible those files which sizes are more than the given size range.
    Less than A | This field allow to specify a file size range for filtering. The file size range filter makes visible those files which sizes are less than the given size range.
    Between A and B | These two fields allow to specify a file size range for filtering. The file size range filter makes visible those files which sizes are between the given size range.
    Beyond A and B | These two fields allow to specify a file size range for filtering. The file size range filter makes visible those files which sizes are beyond the given size range.
    Attribute filter | This group allows to filter out files by file attributes.

    Some filters are used more often than others. You may define these filters, for quick access to them. To add new predefined filter click on the button Save filter. You may organize existing predefined filters and define new predefined filter. To quick apply the predefined filter you may select it in the list and click on Set filter button.

    Image Description
    Save current filter as predefined in the window Save file filter window.
    Set predefined file filter and fill fields with values of the predefined file filter.
    Delete selected predefined file filter from list.
    Change caption of selected predefined file filter in the window Rename file filter window.
    Move selection in predefined file filter list to one item up.
    Move selection in predefined file filter list to one item down.

    See also:
    Main window
    The main menu
    About the toolbars


Delete files

F8 or DEL: Delete files

To delete files which are selected in the comparison table select menu item Delete ( [image]) in the context menu or select menu File operations|Delete. Before the actual deletion takes place you are asked to confirm the delete operation by the Confirmation dialog box.

If files are selected on both sides at a time, will appear delete file/files window to ask you which files you do prefer to delete.

Note:
Deleting files may cause loss of data so use this option with care! If the files being deleted are on a local disk drive they will be sent to the Recycle Bin. You can change this option in the Options window.

See also:
Comarison start tutorial
Controlling what files will be shown
Synchronizing directories
Copy files or directories
Delete directory
Delete file/files window
Change date/attributes for selected files


Change attributes/timestamp for files

With this window you can adjust date/time stamps absolutely or relatively, and change attributes for selected files in the comparison table

To activate the window select menu item Change date/attributes for selected files ( [image] ALT+T) from the context menu or from the main menu item File operations.

The window allow you to adjusting date/time stamps absolutely.

Change attributes/timestamp for files window

Field | Meaning
Set absolute file Date/Time | Group of controls for absolute change file's date and time. You may change Created, Modified, Accessed file's date and time.
Date | You can enter the desired date here.
Time | Here you can enter the desired time.
<0> | Sets time to zero (00:00:00).
Set current | Inserts the current date and time.

The window allow you to adjusting date/time stamps relatively.

Change attributes/timestamp for files window

Field | Meaning
Adjust file Date/Time | Group of controls for adjusting date/time stamps relatively. You may change Created, Modified, Accessed file's date and time.
Adjust day, month, year | Group of controls for adjust file date.
Adjust hour, minutes, seconds | Group of controls for adjust file time.

Field | Meaning
Source directories | Displays paths to source directories and number of selected files.
Pairs list | This button opens List of compared directories pairs. This button appears only if compared more than one pair.
Set file attributes | Group of controls for change file's attributes.
Archive (a) | Here you can change the state of the archive attribute. The archive attribute is automatically set each time a file is changed.
Read only (r) | By setting the read only attribute, you prevent the accidental erasure of important files. Heatsoft ADCS can delete files with this attribute, but you are asked before.
Hidden (h) | Marks a file as hidden. Hidden files are not shown in a dir listing. Heatsoft ADCS can be configured to show hidden files. (See Options: Comparison rules).
System (s) | Marks a file as a system file. The files IO.SYS and MSDOS.SYS in the root directory of the boot drive are system files. System files cannot be moved by disk optimizers like defrag.
Legend | Examples of state of controls for change attributes.
Ok | Starts executing process of changing date/attributes for selected files.
Cancel | Closes the dialog box without executing process of changing date/attributes for selected files.

See also:
Comarison start tutorial
Display files
Synchronizing directories
Delete files


Overview of the Disk space viewer

The Disk space viewer is intended for visual evaluation of sharing a disk space occupied by directories and files. The Disk space viewer consists of several main parts: directories tree and piechart. On the screen below you can see the main window of the Disk space viewer.

ADCS disk viewer

All subdirectories of the first level of directory or disk chosen in the directories tree are displayed on the piechart. On the piechart directories looks as sectors.

The sector size is proportional to the occupied disk space by the directory. So the greater directory corresponds a sector of greater size. According to user settings on the piechart can be displayed only files from the chosen directory or directory with files.

So, with the Disk space viewer you may easily, simply and quickly value a volume and structure of directories and disks which is interesting for you.

See also:
Disk space viewer start tutorial
Disk space viewer options
Disk space viewer toolbar
Disk space viewer keyboard shortcuts


Start tutorial of the Disk space viewer

Process of building of diagram of sharing a disk space consists of simple steps:

Step 1
To start work with the Disk space viewer click on the button Disk space viewer ( Disk space vierwer) in the View toolbar or select menu View|Disk space viewer.

Step 2
The path from the directories tree will be placed in the combobox at the panel on the top of the Disk space viewer. You can write or edit path in the combobox. For select a directory quickly use the Browse button which allows to select a new directory path from tree.

Step 3
Click on the button Start scan to start the disk reading process. Disk space viewer starts gathering directory information; this may take some time. In the left bottom of the Disk space viewer window you can see the directories it is reading.
If you want to abort the disk reading process you can click on the button Abort scan.

Step 4
In the other panel the Disk space viewer shows the disk piecharter.

Step 5
Click on the secondary mouse button in the disk piecharter or the directories tree to access to the context menu. With this context menu you can change the settings of the disk piecharter or the directories tree. Also you can use the Disk space viewer toolbar to change settings of the disk piecharter. By default the changed settings are saves automatically.

Step 6
You can navigate through the directory structure using the directories tree. Click on a directory name to shows it at the disk piecharter.

See also:
Overview of the Disk space viewer
Disk space viewer options
Disk space viewer toolbar
Disk space viewer keyboard shortcuts


The Viewer toolbar

The toolbar consists of a number of small buttons identified by icons. With the toolbar you can call menu commands. If you leave the mouse cursor on a button for a moment a small window with a description will appear.

ADCS Disk space viewer toolbar

Note:

  • To activate a command, click on the corresponding button with the primary mouse button.
  • To get a short description of the function of each button, rest the mouse cursor over the button.

    The Viewer toolbar contains the following buttons:

    Image | Shortcut | Description
    Incude size | SHIFT+ALT+S | If down then a size is added to the name in the labels for directories and files
    Incude percent | SHIFT+ALT+P | If down then a percent from total disk space for directory or file is added to the name in the labels for directories and files
    This button allows to cut long names of directories and files | SHIFT+ALT+N | This button allows to cut long names of directories and files
    This setting allows to limit quantity of directories on the piechart | SHIFT+ALT+D | This setting allows to limit quantity of directories on the piechart. It is useful when the quantity of directories is too many
    This setting allows to limit quantity of files on the piechart | SHIFT+ALT+F | This setting allows to limit quantity of files on the piechart. It is useful when the quantity of files is too many
    Button 3D piecharter | None | This setting define the 3 dimension for the disk piecharter
    Only directories are displayed on the piechart | SHIFT+ALT+G | Only directories are displayed on the piechart
    Only files are displayed on the piechart | SHIFT+ALT+H | Only files are displayed on the piechart
    Directories and files are displayed on the piechart | SHIFT+ALT+A | Directories and files are displayed on the piechart
    Button colors | None | Defines the background color for the Directories, Hidden and System directories, Hidden and System files, Files and Free space. To change color click on the Color of disk piecharter ( [image]) button.
    None | This button allows to swap tree and disk piecharter panels.
    Combobox | This combobox allows to select a drive or write a path for disk piecharter.
    Browse | Allows to browse to find a directory for disk piecharter.
    Start scan | This button begin the disk reading process for creating the disk piecharter
    Abort scan | This button abort the disk reading process.

    See also:
    Overview of the Disk space viewer
    Disk space viewer start tutorial
    Disk space viewer options
    Disk space viewer keyboard shortcuts


The Viewer keyboard shortcuts

Shortcut | Description
SHIFT+ALT+G | Shows only directories on the disk piecharter
SHIFT+ALT+H | Shows only files on the disk piecharter
SHIFT+ALT+A | Shows directories and files on the disk piecharter
SHIFT+ALT+S | Include size
SHIFT+ALT+P | Include percent
SHIFT+ALT+N | Allows to cut long names
SHIFT+ALT+D | It limits quantity of directories on the disk piecharter
SHIFT+ALT+F | It limits quantity of files on the disk piecharter

See also:
Overview of the Disk space viewer
Disk space viewer start tutorial
Disk space viewer options
Disk space viewer toolbar
Disk space viewer keyboard shortcuts


Disk space viewer options (General)

The sheet 'Disk Piecharter: General' contains main Disk space viewer setting.

ADCS Options window

Field | Meaning
Only directories | Only directories are displayed on the piechart.
Only files | Only files are displayed on the piechart.
Directories and files | Directories and files are displayed on the piechart.
Limit qty of directories | This setting allows to limit quantity of directories on the piechart. It is useful when the quantity of directories is too many.
Max number of dirs | This setting define the maximum number of directories which is displayed on the piechart.
Limit qty of files | This setting allows to limit quantity of files on the piechart. It is useful when the quantity of files is too many.
Max number of files | This setting define the maximum number of files which will be displayed on the piechart.
Labels for directories and files | This setting defines the labels for directories and files on the piechart.
Include size | If checked then a size is added to the name in the labels for directories and files.
Include percent | If checked then a percent from total disk space for directory or file is added to the name in the labels for directories and files.
Cut long names | This setting allows to cut long names of directories and files.
Delimiter in name | This setting defines the delimiter in the long name. The delimiter may be like '~' or other that you want.
Max length of name | This setting defines the maximum length of the long name.

See also:
Options window
General options (general program settings)
Layout (options of the main window)
Trees (directories tree options)
Compare (options of comparison tables)
Disk piecharter: Styles (styles settings)
Comparision rules (directory comparison criteria)
The main window
Confirmations (defines which confirmations windows will be shown)
Language (options for change ADCS GUI language)
Overview of the Disk space viewer


Privacy policy

The information you provide Heatsoft Corporation is never compromised. It is used for the purpose of your purchase, and to keep you informed of updates and special offers (should you choose this option). It is never give out or sold to 3rd parties or used in any other way.

Should you have any questions about our Privacy Policy please email us at support@heatsoft.com.

See also:
The main window
License agreement
Return policy


Return policy

Any ADCS user is entitled to 30-days trial period to try the software. And we at Heatsoft believe that trial period is enought to decide how our software is suitable for your needs. Because every Heatsoft product is available as a full functioning trial version, refunds are not given. If you receive a defective CD it will be replaced free of charge, but no part of your purchase price will be refunded. It is because of this strict "NO REFUNDS" policy that it is strongly suggested you download and try the trial version prior to your purchase.

Should you have any questions about our Return Policy please email us at support@heatsoft.com.

See also:
The main window
License agreement
Privacy policy


License agreement

Please read the following lines carefully before using this software.
If you disagree with any of the following, you are not allowed to use this program, you MUST then delete it immediately.
The ADCS is shareware. This means:

  • All copyrights to ADCS are exclusively owned by Heatsoft Corporation.

  • Anyone may use this software during a test period of 30 days. Following this test period of 30 days or less, if you wish to continue to use ADCS, you MUST register.

  • Once registered, the user is granted a non-exclusive license to use ADCS on one computer, for any legal purpose, at a time. The registered ADCS software may not be rented or leased, but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.

  • The ADCS unregistered shareware version may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of ADCS without written permission from the copyright holder.

  • ADCS IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

  • You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorised use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

  • All rights not expressly granted here are reserved by Heatsoft Corporation.

  • Installing and using ADCS signifies acceptance of these terms and conditions of the license.

  • If you do not agree with the terms of this license you must remove ADCS files from your storage devices and cease to use the product.

    Liability
    We try to keep our software as bug-free as possible. But it's a general rule, that no software ever is error free, and the number of errors increases with the complexity of the program. That's why we cannot guarantee that this software will run in every environment, on any Windows compatible machine, together with any other application, without producing errors. Any liability for damage of any sort is hereby denied. In any case, the liability is limited to the registration fee. Please test this program with non-critical data. We cannot guarantee the safety of your data. Especially operating systems other than Windows XP can cause trouble. Should you detect errors before registration, you accept them if you register. Any description of bugs will be accepted, but we cannot guarantee that we will be able to correct them.

    Important note
    This version program has been created for functioning in Microsoft Windows Me/2000/XP. If you experience any problems please inform us about it!

    All mentioned Trademarks and Copyrights belong to their respective owners.


Earn registration

You may earn registrations for translating ADCS interface from english into your native language. For more info please visit our web-site at:

http://www.heatsoft.com/ADCSearnregistration.html

See also:
Order
The main window


Getting program updates

Important!

If you've got ADCS not from our web page, but from the other source (magazine CD or some software library), please visit our home page:

http://www.heatsoft.com/ADCSdownload.html

- you'll probably find the latest version. Usually, we release new version of ADCS about once within every three months.


Getting technical support and contributing feedback

Technical Support
Registered users are entitled to technical support, should the need arise. Please contact us by e-mail at support@heatsoft.com

Information for registered users

Important note
This version program has been created for functioning in Microsoft Windows 95/98/Me/2000/XP and NT. If you experience any problems please inform us about it!

All mentioned Trademarks and Copyrights belong to their respective owners.

Before you contact us, please do the following:

  • Be sure that you're doing everything right. We all make mistakes sometimes... Be attentive.
  • Look at the Help file: it may already contain an answer to your question. A lot of people ask us something like "how do I:", though the complete information is there.
  • Visit Heatsoft ADCS home page in the Internet at http://www.heatsoft.com/index.html

    It's a good chance that you'll find the newer version of Heatsoft ADCS there. If the serious bug has been found in the program, but the new version is not ready yet, we make the hot fix for it.

    But if you still have a problem with Heatsoft ADCS and noting else helps, please contact technical support at feedback@heatsoft.com

    Please inform us about the following:

  • Heatsoft ADCS version (from "About" dialog).
  • Where did you get Heatsoft ADCS (http or ftp site).
  • Windows 95/98/NT/2000/XP version (including service packs and other fixes installed), US or international, OEM or not.
  • Computer information: CPU type and speed, installed memory.
  • Description of your problem (as much information as possible to retrieve the problem).

    In order to get the complete computer information (working under Windows 95), open the Control Panel, click on "System" applet and press "Print" on "Device Manager" tab.

    If you have any comments or suggestions for the next releases, please don't hesitate to email them to us feedback@heatsoft.com

    Feedback
    If you have any comments or concerns about ADCS please direct them to feedback@heatsoft.com or http://www.heatsoft.com/ADCSsupport.html Your feedback is important to us in order to get an idea of how to make Heatsoft ADCS a better product for you. Many of Heatsoft ADCS's features and significant portions of Heatsoft ADCS's interface have been heavily influenced by comments from users. So if you have a grand idea for a new feature, or a better way of doing something, please drop us a note.


Frequently Asked Questions

This page holds the answers to common questions that are asked about Heatsoft ADCS. If you have a question that should be in this FAQ, please mail it to support@heatsoft.com.

Using application
Can I adjust date/time stamps relatively with +60 mins or + 1hr? That would be helpful for people with digital cameras too, instead of constantly adjusting date/time of your camera (or more commonly as in my case if you forget to adjust), you can adjust the files' stamps according to the country you travelled, +12 hr for Japan maybe).
Will I need a copy of the software on both the desktop & notebook?
How long would ~1GB of data going from one drive to the other take?
Does your software include any spyware?
I am looking for an easy way to synchronize my two computers so I can use my notebook at the office.
I would need to filter out (exclude) directories, is that possible?
I need to print folder contents. Can ADCS do this?
How does the program function? Who can use the program?
What are the advantages of ADCS?
I have to check always the same directories, it's time consuming to change the directories all the time. How can I do it with one mouse click?
How can I easily rename a directory?
How can I save or print a list of files from compared directories?

Registration/activation
How long is your evaluation period?
What is the upgrade policy?
I enabled full access for ADCS, but it still cannot activate ADCS via internet. What do I do?
If I need to reinstall after a system crash, for example, will my now currently activated registration data work a second time or is this a once only possibility?
What exactly does "you are entitled to three activations" mean?

Answers

Q: Can I adjust date/time stamps relatively with +60 mins or + 1hr? That would be helpful for people with digital cameras too, instead of constantly adjusting date/time of your camera (or more commonly as in my case if you forget to adjust), you can adjust the files' stamps according to the country you travelled, +12 hr for Japan maybe).
A: Yes, you can adjust date/time stamps in the Change attributes/timestamp for files window in this way. To activate the window select menu item Change date/attributes for selected files (ALT+T) from the context menu or from the main menu item File operations.

Back to top

Q: Will I need a copy of the software on both the desktop & notebook?
A: It's enough to have one copy of ADCS either on desktop or notebook.

Back to top

Q: How long would ~1GB of data going from one drive to the other take?
A: The time is depending on your hardware/network speed. Replication's time is approximately the same as Windows Explorer takes.

Back to top

Q: Does your software include any spyware?
A: No. Only once ADCS uses an internet connection - to activate the program after registration.

Back to top

Q: I am looking for an easy way to synchronize my two computers so I can use my notebook at the office.
A: ADCS is easy, fast and flexible. ADCS allows to do the same in different ways. Just try the software.

Back to top

Q: I would need to filter out (exclude) directories, is that possible? Instead of adding dozens of pairs to the "favorites" when updating 100 Mb Zip-disks with lots of work-directories and a couple "temp" directories, it would be handy to be able to exclude only the "temp"-dirs.
A: Yes, now ADCS provides this ability - ability to exclude directories from a comparison.

Back to top

Q: I need to print folder contents. Can ADCS do this?
A: Yes. ADCS can help you to print folder contents. You may learn how do it in our comparison report tutorial.

Back to top

Q: How does the program function? Who can use the program?
A: ADCS is a powerful tool for directories synchronization. It will be useful for anyone, who shares documents/programs with friends and colleagues. If you want to synchronize data between home and office or desktop and notebook computers, when with ADCS you can easily see what have changed in your directories and then transfer changes with single mouse click. Actual tasks which can be solved with Heatsoft ADCS are described in the tutorials.

Back to top

Q: What are the advantages of ADCS in comparison with the others programs?
A: Also there is a lot of such programs on the market, ADCS has some unique features, listed below.

    Some features of Heatsoft ADCS:
  • Comparison and Synchronization with subdirectories.
  • Several Synchronization modes.
  • Ability to do simultaneous multi-directories comparison (Directories pairs basket).
  • Explorer-style tree of embedded directories.
  • Visibility filters.
  • Preview synchronization window.
  • Comparison files by content
    • .
  • Comfortable navigation in file list, including mask selection.
  • Ability to sort the comparison by name, type, date, size of files. You can change the order of the sorting.
  • Ability to create, delete and rename directories.
  • Ability to copy or delete files.
  • Copying of files with conservation of structure of directories.
  • Compare rules. You can change directory comparison criteria (file timestamp, file size, file attributes).
  • Disk space viewer. Allows to view a directories structure and their size via piechart.
  • Ability to generate comparison report. Allows generate comparison report.
  • Saves your favorite directories for fast repositioning.
Click here to see the full features list of Heatsoft ADCS.

Back to top

Q: I have to check always the same directories, it's time consuming to change the directories all the time. How can I do it with one mouse click?
A: To check the same directories at this time you can use a bookmarks in the Favorites list (Ctrl+F).

Back to top

Q: How can I easily rename a directory? The current name of the directory should be given as the default!
A: In the directories tree select the directory and press SHIFT+F6. This opens the in place rename box. To rename the directory, type the new name and press ENTER.

Back to top

Q: How can I save or print a list of files from compared directories?
A: You can generate the comparison report and then print it. To generate the comparison report select menu item Comparison report from menu File.

Back to top

Q: How long is your evaluation period?
A: Actually 30 days. But you can evaluate the program as long as you need. ADCS doesn't expire after the 30-days period.

Back to top

Q: What is the upgrade policy?
A: There is one-time fee for purchasing Heatsoft ADCS. A registered user has a "perpetual license", and does not need to repay in order to activate or upgrade ADCS. All the future ADCS upgrades will be completely free for the user. We release the updates about once a month. Click here to see the nearest features list.

Back to top

Q: I cannot activate ADCS via internet. I have adsl (permanent connection) and a firewall. I enabled full access for ADCS, but it still cannot activate. What do I do?
A: We do occasionally get reports that firewalls and/or anti-virus software cause problems with the eSellerate Software Delivery Wizard being able to communicate with the eSellerate servers to conduct a activation or update. There isn't much we can do when it comes to anti-virus software, so if problems persist we simply recommend that you temporarily disable it. As far as firewalls go, we simply use port 80 the standard for internet traffic, so you just want to make sure port 80 is not being blocked.

Back to top

Q: If I need to reinstall after a system crash, for example, will my now currently activated registration data work a second time or is this a once only possibility?
A: You can use the eSellerate after-purchase support page http://store.esellerate.net/support/ to find out your registration information. Once you retrieve the registration information, and you may activate ADCS. You are entitled to 5 activation. But we may extend the number of activations for reasonable amount to accommodate your needs. All the future ADCS upgrades will be completely free for you.

Back to top

Q: What exactly does "you are entitled to three activations" mean?
A: The Product Activation is an option for protecting Heatsoft ADCS against casual software piracy. Initially a purchaser may install and activate ADCS three times. It is your decision how you will use these activations: on single computer or on three separate ones. Should you need more activations just please drop us a note and we'll increase activations you allowed for reasonable amount. So that you as registered user of ADCS will have the latest registered version always.

Back to top


Information for registered users

Registered users who purchased a license to Heatsoft ADCS from Heatsoft Corporation are eligible for a free upgrade to ADCS v1.17. To upgrade, send an email message to support@heatsoft.com including the name and email address that you used when you purchased the license. And we'll email you detailed instructions within 24 hours.

If you purchased a license from within ADCS or from the Heatsoft Corporation web store, you can use the eSellerate after-purchase support page to find out your registration information.


Advanced include filter specification

This window displays specification of entered Advanced include filter.

On the screen below you can see the Advanced include filter specification window:

See also:
Filtering files
Preview synchronization window
Main window
The main menu
The toolbar
Comparison table
List of compared directories (Navigator)
Directories pairs basket
Synchronizing directories
Copy selected files
Synchronization modes
Synchronization window for the Marks dependent mode
Synchronization window for the Extended mode


All toolbars

The toolbars consist of a number of small buttons identified by icons. With the toolbars you can call menu commands. If you leave the mouse cursor on a button for a moment a small window with a description will appear.

Note:
To activate a command, click on the corresponding button with the primary mouse button.
To get a short description of the function of each button, rest the mouse cursor over the button.

Buttons description

The Compare toolbar contains the following buttons:

Image | Shortcut | Description
Button compare without subdirectories | F5 | Do comparison selected directories without subdirectories
Button compare with subdirectories | ALT+F5 | Do comparison selected directories with subdirectories
 | ALT+B | Allows switching between two comparison mode: by filedata mode and by content mode
 | F4 | Refresh the comparison table

The Trees toolbar contains the following buttons:

Image | Shortcut | Description
Button reread | CTRL+R | Refresh the directories tree
Button up one level | CTRL+U | Up one level in the directories tree
Button collapse all | CTRL+Z | Collapse all open items in the directories tree

The View toolbar contains the following buttons:

Image | Shortcut | Description
Button trees | CTRL+T | Shows only directories trees
Button compare results | CTRL+G | Shows only comparison table
Button trees and compare results | CTRL+B | Shows boths directories trees and comparison table
Disk space viewer | CTRL+V | Start work with Disk space viewer

The Services toolbar contains the following buttons:

Image | Shortcut | Description
Button make same paths in the directories trees | CTRL+TAB | Make same paths in the directories trees
Button navigator | CTRL+N | Shows list of the compared directories (Navigator)
Button autosize columns | None | Autosize columns in the comparison table
Button autosize columns | CTRL+D | Shows the Directories pairs basket
Button change attributes | ALT+T | Shows the Change date/attributes for selected files window
Button remove empty folders | CTRL+E | Shows the Remove empty folders window

The File operations toolbar contains the following buttons:

Image | Shortcut | Description
Button synchronize | CTRL+S | Synchronize directories
Button comparison report | CTRL+P | This menu item allows configurate and generate comparison report
Button select all | CTRL+A | Select / Unselect all files in the comparison table
Button file filter | F12 | Uses filter to files in the comparison table
Button set exclude filter | F11 | Open Set directory exclude patterns window
Button view exclude filter | CTRL+F11 | Open View directory exclude patterns window

The Visibility filters shortcut contains the following buttons:

Image | Shortcut | Description
Button visible / invisible files which by comparison need to be copied from left to right | ALT+L | Visible / Invisible files which by comparison need to be copied from left to right.
Button visible / invisible files which are considered equal with the current compare settings | ALT+E | Visible / Invisible files which are considered equal with the current compare settings
Button visible / invisible files which by comparison need to be copied from right to left | ALT+R | Visible / Invisible files which by comparison need to be copied from right to left
Button visible / invisible files which exist on one side only | ALT+S | Visible / Invisible files which exist on one side only
Button visible / invisible files which exist on both sides | ALT+D | Visible / Invisible files which exist on both sides
 | None | Visible / Invisible files which have identical content and are considered unequal by current comparison rules
 | None | Visible / Invisible files which are unequal by content

The Info toolbar contains the following buttons:

Image | Shortcut | Description
Button info form | CTRL+I | Shows the window with information on process of comparison and system information
Button options | CTRL+O | Shows options window

See also:
Main window
Current directory
Directories tree
Comparison table
Favorites list
Options window
List of compared directories (Navigator)
System information
Overview of the Disk space viewer


Ask

If coping file is exist in a target directory then Heatsoft ADCS Ask you about action (Skip, Overwrite, Overwrite all older, Autorename).


Directory exclude mask option

This window is designed to invite you for using ability of exclusion directories from a comparison. Click on the button Yes in the window if you want to set up directory's names you wish to remove from a comparison.

You can set directories exclude patterns in the window Set directory exclude patterns (use shortcut F11).

See also:
Set directory exclude patterns
View directory exclude patterns
Getting directories names
Main window
The main menu


AutoRename

If coping file is exist in a target directory then Heatsoft ADCS automatically rename existing file. For example, if file readme.txt is exist then coping file (readme.txt) will be named readme[1].txt.


Button description

Image | Shortcut | Description
Button select all | CTRL+A | Select / Unselect all files in the comparison table


Button description

Image | Shortcut | Description
 | F4 | Refresh the comparison table


Button description

Image | Shortcut | Description
Button reread | CTRL+R | Refresh the directories tree. Refresh the directories tree is automatically, but if you need to manual refresh the directories click on this button.


Comparison by content mode

Comparison by content mode allows to compare files content for duplicate files which have the same size. The mode checks that the files also have the same content. In this mode ADCS will read a byte from one file and read a byte from second file. If this bytes are equal ADCS will read next bytes. If bytes are unequal then compared files are unequal by content and ADCS begin to compare next couple of duplicate files. If compared directories have much duplicate files that have equal sizes then comparison by content may take much time, so please be patient.

You can see these symbols in the comparison table for content mode:

Green (by default) | Synchronizing from left to right
Blue (by default) | Synchronizing from right to left
Black equal | Files have identical content and are considered identical by current comparison rules (no synchronization direction)
Red equal | Files have identical content and are considered unequal by current comparison rules
Red unequal | Files are unequal by content

Visibility filters for content mode are different from the Visibility filters for filedata mode.

See also:
Comparison modes: by filedata and by content
Comparison by filedata
Visibility filters combobox
Visibility filters shortcut
Comparison start tutorial
The main window
All toolbars
Comparison table


Comparison by filedata mode

Comparison by filedate mode allows to compare files only by file size, date/time stamps and file attributes.

You can see these symbols in the comparison table for content mode:

Green (by default) | Synchronizing from left to right
Blue (by default) | Synchronizing from right to left
Black | Files which are considered identical by current comparison rules (no synchronization direction)

Visibility filters for content mode are different from the Visibility filters for filedata mode.

See also:
Comparison modes: by filedata and by content
Comparison by content
Visibility filters combobox
Visibility filters shortcut
Comparison start tutorial
The main window
All toolbars
Comparison table


Create directory

F7 Create directory

This command creates a new subdirectory in the source directory. After pressing F7 in the directories tree, simply type the desired name for the directory.

Create new directory window:

Field | Meaning
in the same level | Created new directory in the same level as current directory (like sibling for current directory).
as child | Created new directory as child relative current directory (like sub-directory for current directory).

Click Ok to create new directory.

Note:
Don't use symbols \ / : * ? " < > | in a folder name.

See also:
Delete directory
Rename directory
Directories tree


Create new favorites shortcut

This command creates a new favorites item in the favorites list. The favorites list allows to quickly switch between multiple directories.

Window for creating a new favorites item to single folder:

Create favorites window

Window for creating a new favorites item to pair of folders:

Create favorites window

Type name for a new favorites item and click Ok to create it.

See also:
Main window
The main menu
Favorites list


Current directory

The path box, located between above the directories tree, specifies the current directory being browsed.

Image | Shortcut | Description
Button history | CTRL+H | View history of using directories
Button favorites | CTRL+F | View list of the favorites directories

The current directory is shown directly above the file window. A double click on the folder image in the left part of this pane opens the context menu, which allows to quickly access to active commands. A double click on the current path pane opens the favorites directories list.

See also:
Main window
The main menu
The toolbar
Directories tree
Comparison table
Favorites list
Options window
List of compared directories (Navigator)
System information


Delete a directory

F8: Delete a directory

In the directories tree select a directory that you want to delete and then press F8.

After confirmation, a directory will be deleted.

Note:
If in the options (page General) set Delete to Recycle Bin then directory is delete to the Recycle Bin.

See also:
Create diretory
Rename directory
Delete files
Directories tree


Delete file/files window

On the screen below you see delete file/files window.

Delete file/files window

In this window you see path and file/files descriptions for a selected files from left and right parts of the comparison table. To delete the prefered file/files click on the button Delete the file/files. To delete files on both side of the comparison table click on the button Delete both.

See also:
Main window
Directories tree
Comparison table
Delete files
Delete directory


Edit current pair window

In the Edit current pair window you can edit paths of directories pair. For select a directory quickly use the Browse button which allows to select a new directory path from tree.

Edit current pair window is on the screen below.

Edit current pair window

See also:
The main window
The toolbar
Current directories
Directories tree
Comparison table
Favorites list
Options window
List of compared directories (Navigator)
Directories pairs basket
System information
Overview of the Disk space viewer


Favorites list

The favorites list allows to quickly switch between multiple directories. Favorites are divided into two types: Single directories mode and Directories pairs mode. Single directories mode allows to quickly switch to one favorite directory on left or right directories tree. Directories pairs mode allows to quickly switch to pair of favorite directories, one directory on left tree and second directory on right tree.

On the screen below you can see Favorites list:

The favorites list can be opened in three different ways:

1. Through the View menu.
2. By double clicking on the title bar of the file windows (display of the current path).
3. By pressing CTRL+F.

The displayed favorites list menu contains a list of previously added directories, plus three additional commands:

Field | Meaning
Add current dir to favorites | This option allows to add selected directory to the list.
Add current pair to favorites | This option allows to add selected directories pair.
Organize favorites... | Opens a configuration dialog, which allows to sort the menu entries, and which allows to modify, add or remove entries.

See also:
Main window
The main menu
The toolbar
Current directory
Directories tree
Comparison table
Options window
List of compared directories (Navigator)
Directories pairs basket
System information


Getting directories names

In the window you can select folder names which you do want exclude from a comparison. To select/deselect a name click on icon near of a folder. Names of selected directories will be added as patterns.

Get directory exclude patterns window

See also:
Set directory exclude patterns
View directory exclude patterns
Main window
The main menu


Compare information

In this window you may see last compare information.

You can see information of left and right panels of comparison table.

Field | Meaning
Path | The main comparison directory.
Scaned directories | Total quantity of comparison directories.
Found files | Total quantity of comparison files.
Void directories | Quantity of the directories without files.
Not empty directories | Quantity of the directories with files.
Comparison time | Time of comparison of the directories.

See also:
System information
The main window


List of compared directories pairs

This window displays list of actually compared directories pairs from the Directories pairs basket.

On the screen below you can see the List of compared directories pairs window:

Note:

  • Icon in the center of pair:
    - icon means simple directories pair - without subdirectories.
    - icon means directories pair with their subdirectories.

    See also:
    Main window
    The main menu
    The toolbar
    Comparison table
    List of compared directories (Navigator)
    Directories pairs basket
    Synchronizing directories
    Copy selected files
    Synchronization modes
    Synchronization window for the Marks dependent mode
    Synchronization window for the Extended mode


Set and change marks of files

The symbol in the middle of the comparison table the synchronization direction, which can be chosen by the user. The coloring of the text defines the default synchronization direction determined by the comparison:

Button set marks only to right for selected items Green (by default): Synchronizing from left to right
Button set marks only to left for selected items Blue (by default): Synchronizing from right to left
Black: Files which are considered identical by current comparison rules (no synchronization direction)

The synchronization direction can be chosen for multiple files at the same time by following ways:

  • with the right click menu
  • with the menu Mark from the main menu
  • by clicking primary mouse button at the mark

    See also:
    Synchronizing directories
    Comparison start tutorial
    Controlling what files will be shown
    Copy files or directories
    Delete files


OnLine Help

Button Set directory exclude patterns Set directory exclude patterns (F11)

This menu item open the Set directory exclude patterns window.


OnLine Help

Button Set directory exclude patterns View directory exclude patterns (CTRL+F11)

This menu item open the View directory exclude patterns window.


OnLine Help

Button clear marks for selected items Add pair (None)

This menu item allows to add pair of directories from trees to the basket.


OnLine Help

Add pair with subdirs (None)

This menu item allows to add pair of directories with their subdirs from trees to the basket.


Menu Basket

Menu Basket consists of following items:

Button basket | Directories pairs basket | CTRL+D
Button add pair | Add pair | None
Button add pair with subdirs | Add pair with subdirs | None
Edit selected pair | Edit selected pair | None
Button swicth subdirs set | Swicth subdirs set | None
Button delete pair | Remove selected pair from basket | None
Button clear basket | Clear basket | None
 | Set the pair in trees | None
 | Refresh directories pair basket | None
Button compare basket | Compare basket | CTRL+F5
Button save as group | Save as group | SHIFT+F12
Button delete group | Delete group | None
Button rename group | Rename group | SHIFT+F6
Button copy group content to the basket | Copy group content to the basket | None
Button show group panel | Show group panel | ALT+G


OnLine Help

Change date/attributes for selected files (ALT+T)

With this command you can change date and attributes for selected files in the comparison table.

See also:
Dialog box Change attributes


OnLine Help

Button clear marks for selected items for selected items: Clear marks (SHIFT+CTRL+C)

With this command you can clear marks for selected files.


OnLine Help

Clear basket (None)

This menu item allows to remove all pairs from the directories basket.


OnLine Help

Button compare basket Compare basket (CTRL+F5)

This menu item allows to compare all directories pairs from the basket.


OnLine Help

Button compare results Compare results (CTRL+G)

This menu item allows to shows only comparison table in the main window of Heatsoft ADCS.


OnLine Help

Button compare with subdirectories Compare with subdirectories (ALT+F5)

This menu item allows compare two selected directories with their subdirectories.


OnLine Help

Button compare without subdirectories Compare directories (F5)

This menu item allows compare only two selected directories.


OnLine Help

Button comparison by content.gif Content comparison (ALT+B)

This menu item allows switching between two comparison mode: by filedata mode and by content mode.


OnLine Help

Button copy to selected files another directory Copy selected files to another directory (SHIFT+F5)

With this command you can copy selected files from both panel of comparison table to another directory.

See also:
Dialog box Copy files


OnLine Help

Copy group content to the basket (None)

This menu item allows to copy content of selected group to the basket.


OnLine Help

Button create directory Create directory (F7)

This menu item allows create directory in the directories tree.


OnLine Help

for selected items: Set all marks (default direction) (SHIFT+CTRL+D)

With this command you can set all marks to for selected files in comparison table.


OnLine Help

Button delete directory Delete directory (F8)

This menu item allows to delete directory in the directories tree and to delete files in the comparison table.


OnLine Help

Button delete group Delete group (None)

This menu item allows to delete a group from the group list.


OnLine Help

Delete pair (None)

This menu item allows to delete pair from the directories basket.


OnLine Help

Button delete Delete selected files (F8 or DEL)

With this command you can delete all selected files from of comparison table. Since items from both side files may be selected at a time, before the actual deletion takes place you will see the delete file/files window.


OnLine Help

Button clear marks for selected items Directories pairs basket (CTRL+D)

This menu item allows to show the Directories pairs basket in the main window of Heatsoft ADCS.


OnLine Help

Exit

This menu item closes Heatsoft ADCS and saves the current settings.


OnLine Help

Button explore Explore (ALT+W)

Calls Windows Explorer for selected folder.


OnLine Help

Button favorites Favorites (CTRL+F)

This menu item allows to shows favorites directories list. The favorites list allows to quickly switch between multiple directories.


Menu File

Menu File consists of following items:

Button compare without subdirectories | Compare directories | F5
Button compare with subdirectories | Compare with subdirectories | ALT+F5
 | Content comparison | ALT+B
Button create directory | Create directory | F7
Button delete directory | Delete directory/files | F8
Button rename directory | Rename directory | SHIFT+F6
Button remove empty folders | Remove empty folders... | CTRL+E
Button explore | Explore | ALT+W
Button properties | Properties | ALT+ENTER
Button comparison report | Comparison report... | CTRL+P
 | Exit |


OnLine Help

Button file filter File filter (F12)

With this command you can set file filter to view files which are required.

See also:
Dialog box Set filter


OnLine Help

Menu File Operations

Menu File operations consists of following items:

Button synchronize | Synchronize | CTRL+S
Button copy selected files to another directory | Copy selected files to another directory | SHIFT+F5
Button delete | Delete selected files | F8, DEL
 | Change date/attributes for selected files | ALT+T
Button file filter | File filter | F12
Button Set directory exclude patterns | Set directory exclude patterns | F11
Button View directory exclude patterns | View directory exclude patterns | CTRL+F11


OnLine Help

Button info form Info form... (CTRL+I)

This menu item shows window with information on process of comparison and system information.


Menu Mark

Menu Mark consists of following items:

Button set marks only to left for selected items | for selected items: Set marks only to left | SHIFT+CTRL+L
Button set marks only to right for selected items | for selected items: Set marks only to right | SHIFT+CTRL+R
 | for selected items: Set copy direction newer to older | SHIFT+CTRL+N
 | for selected items: Set copy direction older to newer | SHIFT+CTRL+O
 | for selected items: Set all marks (default direction) | SHIFT+CTRL+D
Button reverse marks for selected files with equal name | for selected items: Reverse marks with equal name | SHIFT+CTRL+E
Button clear marks for selected items | for selected items: Clear marks | SHIFT+CTRL+C
Button select all | Select all | CTRL+A


OnLine Help

Button navigator Navigator (CTRL+N)

This menu item allows to shows list of compared directories (Navigator). List of compared directories (Navigator), helping quickly move through the comparison table.


OnLine Help

Network

Network connections. Allows to connect and disconnect network drives.
Menu Network of following items:

Button add network drive | Add network drive
Button disconnect network drives | Disconnect network drives


OnLine Help

for selected items: Set copy direction newer to older (SHIFT+CTRL+N)

With this command you can set marks for selected duplicate files from newer file to older file.


OnLine Help

Button options Options... (CTRL+O)

This menu item allows to shows options window.

See also:
Dialog box Options


OnLine Help

for selected items: Set copy direction older to newer (SHIFT+CTRL+O)

With this command you can set marks for selected duplicate files from older file to newer file.


OnLine Help

Button properties Properties (ALT+ENTER)

Shows drive, directory or file properties window.

Note:
The properties window for file will be displayed only for file with frame selection in the comparison table.


OnLine Help

Refresh directories pair basket (None)

This menu item allows to refresh the directories pair basket content.


OnLine Help

Button rename directory Rename directory (SHIFT+F6)

This menu item allows rename directory in the directories tree.


OnLine Help

Button rename group Rename group (SHIFT+F6)

This menu item allows to change name of a selected group.


OnLine Help

Button comparison report Comparison report... (CTRL+P)

This menu item allows configurate and generate comparison report.

See also:
Dialog box Configure comparison report


OnLine Help

Button reverse marks for selected files with equal name for selected items: Reverse marks files with equal name (SHIFT+CTRL+E)

With this command you can reverse marks for selected files with equal name.


OnLine Help

Button save group Save as group (SHIFT+F12)

This menu item allows to save basket content as group of pairs for future usage.


OnLine Help

Button select all Select all

With this command you can selected all files in comparison table.


OnLine Help

Set the pait in trees (None)

This menu item allows to set in the directories trees the pair selected in the basket.


OnLine Help

Menu Show

Menu Show has the same visibility filters as the visibility filters combobox.

See also:
The main window
The main menu
All toolbars
Comparison start tutorial
Comparison modes: by filedata and by content
Visibility filters shortcut
Visibility filters combobox


OnLine Help

Show file's path in comparison table

This menu item shows panel with current browse paths in the comparison table.


OnLine Help

Show groups panel (ALT+G)

This menu item allows show panel with groups of pair.


OnLine Help

Sorting files

This menu item allows you to change settings for sorting files in the comparison table.


OnLine Help

Switch subdirs set (None)

This menu item allows to swith subdirs set of a pair.
Icon in the middle of the pair displays current pair status.
- icon means simple directories pair - without subdirectories.
- icon means directories pair with their subdirectories


OnLine Help

Button synchronize Synchronize (CTRL+S)

With this command you can Synchronize two directories with all subdirectories.

See also:
Dialog box Synchronize directories


OnLine Help

Button set marks only to left for selected items for selected items: Set marks only to left (SHIFT+CTRL+L)

With this command you can set marks to for selected files which can copy only to left panel in comparison table.


OnLine Help

View|Toolbars

Choose View|Toolbars to show or hide the following toolbars:

Toolbar | Toolbars image
Compare | Compare toolbar
Trees | Trees toolbar
View | View toolbar
Services | Services toolbar
File operations | File operations toolbar
Filters | Filters toolbar
Info | Info toolbar
Visibility filters | Visibility filters combobox

Check the toolbars you want to display and uncheck those you want to hide. The toolbars provide icons as shortcuts for actions you can perform.

See also:
The main window
All toolbars
About the toolbars


OnLine Help

Button set marks only to right for selected items for selected items: Set marks only to right (SHIFT+CTRL+R)

With this command you can set marks to for selected files which can copy only to right panel in comparison table.


OnLine Help

Button trees Trees (CTRL+T)

This menu item allows to shows only directories trees in the main window of Heatsoft ADCS.


OnLine Help

Button trees and compare results Trees and compare results (CTRL+B)

This menu item allows to shows boths directories trees and comparison table in the main window of Heatsoft ADCS.


OnLine Help

Menu View

Menu View consists of following items:

Button trees | Trees | CTRL+T
Button compare results | Compare results | CTRL+G
Button trees and compare results | Trees and compare results | CTRL+B
Button Disk space viewer | Start work with Disk space viewer | CTRL+V
Button basket | Directories pairs basket | CTRL+D
Button navigator | Navigator | CTRL+N
 | Show file's path in comparison table
Button favorites | Favorites | CTRL+F
 | Sorting files |
Button reread | Refresh the directories tree | CTRL+R
Button reread | Refresh the comparison table | F4
 | Toolbars |
Button info form | Info form... | CTRL+I
Button options | Options... | CTRL+O
 | Change language... |


OnLine Help

Button add network drive Network connections

This menu option opens a dialog box to connect network drives. This dialog does not belong to Heatsoft ADCS, but is specific to the network.

See also:
Disconnect network drives


OnLine Help

Button disconnect network drives Disconnect network drives

This menu option opens a dialog box to disconnect network drives. This dialog does not belong to Heatsoft ADCS, but is specific to the network. Some networks allow to disconnect network drives with the dialog box "Network connections".

See also:
Network connections


Open files in their associated application

You may open a file from the comparison table. To open the file press the key ENTER when frame selection is on the file or double click on a prefering file. ADCS will open the file with associative of it extension.

If the file exist on left and right sides of the comparison table you will see the opening file window. Select the side from which you want to open the file. When you will do choice the file will be opened.

See also:
Main window
Directories tree
Comparison table
Opening file window


Opening file window

On the screen below you see opening file window.

Open file window

In this window you see path and file description for a file from left and right parts of the comparison table. To open the prefered file click on the button Open the file.

See also:
Main window
Directories tree
Comparison table
Open files with associative of it extension


Compare options

On the sheet 'Compare' you can configure comparison table.

ADCS Options window

Field | Meaning
Show horizontal gridlines | lf checked you can see horizontal lines that separate rows in the comparison table.
Show vertical gridlines | If checked you can see vertical lines that separate columns in the comparison table.
Hide trees after compare | If checked then after compare process you view only comparison table, else (default) you can see comparison table and directories tree.
Show compare columns | Defines visibility columns in the comparison table. By default you can see all columns (Size, Date/Time, Attributes).
Font | Controls the attributes of text written in comparison table. To change a font Color, Name, Size or Style of directories tree font press Change font button.

Click Ok to apply your changes temporarily, or Save settings to apply them permanently.
Some settings can also be changed using context menu. Most of these settings are automatically saved permanently.

See also:
Options window
General options (general program settings)
Layout (options of the main window)
Trees (directories tree options)
Disk piecharter: General (options of Disk space viewer)
Disk piecharter: Styles (styles settings)
Comparision rules (directory comparison criteria)
Confirmations (defines which confirmations windows will be shown)
Language (options for change ADCS GUI language)
The main window


Options confirmations

Use these options to select the file actions for which Heatsoft ADCS will show confirmation dialogs. More confirmations mean more security, but also slower working speed. You must decide how much security you need. Unless specified, maximum security is selected.

ADCS Options window

Field | Meaning
Delete read-only files | When you try to delete files marked as read-only, you will be asked a second time if you really want to delete the file. This is an additional security feature to preserve your valuable data. Normally, this option should not be disabled.
Delete hidden/system files | When you try to delete files marked as hidden or system, you will be asked a second time if you really want to delete the file. This prevents you from accidentally deleting important DOS files which the system needs to start, like io.sys and msdos.sys.
On deleting errors | When an error has occured, the ADCS displays a dialog box stating that the delete operation has failed.
Overwrite read-only files | When you try to overwrite files marked as read-only, you will be asked a second time if you really want to overwrite the file. This is an additional security feature to preserve your valuable data. Normally, this option should not be disabled.
Overwrite hidden/system files | When you try to overwrite files marked as hidden or system, you will be asked a second time if you really want to overwrite the file. This prevents you from accidentally deleting important DOS files which the system needs to start, like io.sys and msdos.sys.
On overwriting errors | When an error has occured, the ADCS displays a dialog box stating that the overwrite operation has failed.
On changing files attributes errors | When an error has occured, the ADCS displays a dialog box stating that the changing files attributes operation has failed.

Click Ok to apply your changes temporarily, or Save settings to apply them permanently.
Some settings can also be changed using context menu. Most of these settings are automatically saved permanently.

See also:
Options window
General options (general program settings)
Layout (options of the main window)
Trees (directories tree options)
Compare (options of comparison tables)
Disk piecharter: General (options of Disk space viewer)
Disk piecharter: Styles (styles settings)
Comparision rules (directory comparison criteria)
Language (options for change ADCS GUI language)
The main window


General options

The sheet 'General' represents common ADCS settings.

ADCS Options window

Field | Meaning
Autosave options | Automatically saves all user options when leaving a program (Checked recommended).
Maximum history items | Defines maximum amount of history elements of visiting the directories (12 recommended).
Delete to Recycle Bin | Deleting the files to Recycle Bin (Checked recommended).
Sound confirmation | If checked then ADCS play sound after comparison, synchronization and delete.
Show Heatsoft ADCS in | Defines where the Heatsoft ADCS icon will be displayed.
Taskbar only | The Heatsoft ADCS icon will be displayed only in the task bar like most of programs.
System tray only | The Heatsoft ADCS icon will be displayed only in the system tray, the small system area in the task bar, near the clock. A click on this icon brings Heatsoft ADCS back into the foreground.
Taskbar and system tray | The Heatsoft ADCS icon will be displayed in the task bar and in the system tray at the same time.
Refresh compare table options | Defines what method will be updated information in the comparison table. After certain actions are performed on files or directories, the information displayed in the comparison table may need to be refreshed.
Run directories comparison after | These options designate that the comparison table will be refreshed after any of these actions takes place via new comparison.
Activate the program (ALT+TAB) | Directories will be compared after activate the program.
Synchronization/replication is completed | Directories will be compared after directories synchronization.
Delete files in the comparison table | Directories will be compared after deleting files or change file's attributes in the comparison table.

Click Ok to apply your changes temporarily, or Save settings to apply them permanently.

See also:
Options window
Layout (options of the main window)
Trees (directories tree options)
Compare (options of comparison table)
Disk piecharter: General (options of Disk space viewer)
Disk piecharter: Styles (styles settings)
Comparision rules (directory comparison criteria)
Confirmations (defines which confirmations windows will be shown)
Language (options for change ADCS GUI language)
The main window


Options language

On the sheet 'Language' you can change program interface language.

ADCS Options window

Field | Meaning
Current language's settings | Display current GUI language settings.
Change GUI language | Options for change ADCS GUI language.
Language file source directory | Path to the directory with ADCS GUI languages files (for example C:\Program Files\ADCS\Language).
Browse | Allows to browse to find the directory with ADCS GUI languages files.
Language files in source directory | List of available languages.
Set language | Sets the language which is selected in the list as current ADCS GUI language.

You may translate the language file (ADCS\Languages\template.lng) into your native language. Then you may send the translated file to us.

You may earn registrations by translating ADCS interface from english into your native language. For more information please visit our web site at:

http://www.heatsoft.com/ADCSearnregistration.html

For more information about languages please read Multilingual (International) support.

Click Ok to apply your changes temporarily, or Save settings to apply them permanently.
Some settings can also be changed using context menu. Most of these settings are automatically saved permanently.

See also:
Earn registration
Options window
General options (general program settings)
Layout (options of the (main window)
Trees (directories tree options)
Compare (options of comparison tables)
Disk piecharter: General (options of Disk space viewer)
Disk piecharter: Styles (styles settings)
Comparision rules (directory comparison criteria)
Confirmations (defines which confirmations windows will be shown)
The main window


Layout options

The sheet 'Layout' allows to tune ADCS controls.

ADCS Options window

Field | Meaning
Toolbars | Defines toolbars which will be shown on the main window of the Heatsoft ADCS.
Compare | Shows Compare toolbar. | Compare toolbar
Trees | Shows Trees toolbar. | Trees toolbar
View | Shows View toolbar. | View toolbar
Services | Shows Services toolbar. | Services toolbar
File operations | Shows File operations toolbar. | File operations toolbar
Visibility filters | Shows Visibility filters combobox.
Vis filters buttons | Shows Visibility filters shortcut. | Filters toolbar
Info | Shows Info toolbar. | Info toolbar

Screen layout | Defines screen layout that will be shown, saved and restored on the main window.
Show current directory name | Shows pane with paths to the selected directories in the directories tree (Checked recommended).
Show file's path in comparison table | Shows panel with current browse paths in the comparison table. (Checked recommended).
Save last dirs and go to them at start | If checked, this option causes ADCS to save last selected directories and restore select in the directories tree at ADCS start.
Save program mode and restore it at start | If checked, this option causes ADCS to save program mode and restore it at start.
Directories pairs basket position | Defines a position of the Directories pairs basket.
Allow to access to the Visibility filters combobox using the Tab key | If checked, this option causes ADCS to allow to access to the Visibility filters combobox using the Tab key.

Click Ok to apply your changes temporarily, or Save settings to apply them permanently.
Some settings can also be changed using context menu. Most of these settings are automatically saved permanently.

See also:
Options window
General options (general program settings)
Trees (directories tree options)
Compare (options of comparison tables)
Disk piecharter: General (options of Disk space viewer)
Disk piecharter: Styles (styles settings)
Comparision rules (directory comparison criteria)
Confirmations (defines which confirmations windows will be shown)
Language (options for change ADCS GUI language)
The main window


Disk space viewer options (Styles)

The sheet 'Disk Piecharter: Styles' contains colors and fonts setting for Disk space viewer.

ADCS Options window

Field | Meaning
3 Dimension piecharter | This setting define the 3 dimension for the disk piecharter.
Show pie toolbar | This setting define visibility of the disk piecharter toolbar.
Colors | Defines the background color for the Directories, Hidden and System directories, Hidden and System files, Files and Free space. To change color click on the Set color button.
Font | Controls the attributes of text written in the labels of the disk piecharter. To change a font Color, Name, Size or Style of directories tree font click on the Change font button.

See also:
Options window
General options (general program settings)
Layout (options of the main window)
Trees (directories tree options)
Compare (options of comparison tables)
Disk piecharter: General (options of Disk space viewer)
Comparision rules (directory comparison criteria)
Overview of the Disk space viewer
Confirmations (defines which confirmations windows will be shown)
Language (options for change ADCS GUI language)
The main window


Comparison rules

The sheet 'Comparison rules' defines directory comparison criteria.

ADCS Options window

The side-by-side directory compare window visually identifies matching and mismatching files. By default, Heatsoft ADCS considers timestamp (date and time), size and attributes of the files. This information is quickly read from directory entries, so folders comparison can be very fast.

Comparison rules will be used only for DUPLICATES files. DUPLICATES files are files which have equal names and exist on the both pane of the comparison table. Comparison rules are options for the file display: these options become effective immediately, without a new comparison.

You can change the rules for directory comparison by selecting View|Options and editing the options under the Comparison Rules tab. These options let you specify what criteria is used to consider files as equal. Comparison criteria can be any combination of these values:

Field | Meaning
Size | If checked, files will be considered as equal if they have an equal size.
Timestamp | If checked, files will be considered as equal if they have an equal date and time.
Attribute | If checked, files will be considered as equal if they have an equal attribute. File attributes can be different in some OS, for example in Windows 2000 and Windows 98.
Ignore NTFS/FAT differences (up to 2 seconds) | This option is useful for comparing directories between computers with different file systems. For instance, the DOS FAT system only stores file timestamps to the nearest 2 seconds, while NTFS and HPFS can represent timestamps to the nearest 100 nanoseconds. Copying across a network, between file systems, can result in files with slightly different timestamps. If this options is checked, those files would be treated as if they had the same times.
Ignore daylight savings (usually 1 hour) | This option is useful for comparing directories between computers with different file systems. For instance, the DOS FAT file times are not adjusted for Daylight Savings Time (DST), whereas NTFS entries are. When NT automatically adjusts for DST, the date/time stamp of files on NTFS volumes appear to be shifted by one hour, even if the files were last changed prior to the DST adjustment. This adjusted time is then displayed in all operations which report local time (that is, NT Explorer, File Manager, directory listings, and so on). When files are copied from an NTFS drive to a FAT drive before the time change, the times can differ by an hour, but the files remain the same. If this options is checked, those files would be treated as if they had the same times.
Adjust timezone. Ignore filetime differences in hours | Sets filetime differences in hours. Available if Adjust timezone checked.

Click Ok to apply your changes temporarily, or Save settings to apply them permanently.

See also:
General options (general program settings)
Layout (options of the main window)
Trees (directories tree options)
Compare (options of comparison tables)
Disk piecharter: General (options of Disk space viewer)
Disk piecharter: Styles (styles settings)
Confirmations (defines which confirmations windows will be shown)
Language (options for change ADCS GUI language)
The main window


Trees options

On the sheet 'Trees' you can configure directories trees.

ADCS Options window

Field | Meaning
Single click activation | If checked, this option causes Heatsoft ADCS to open a directory after you click on it in one of the panels. If this option is not checked, you must double-click on an item (or press Enter) to open it. This option is available only if the operating system provides support for it.
Autoexpand tree | Specifies whether the nodes in the directory tree automatically expand and collapse depending on the selection. Set AutoExpand tree to cause the selected item to expand and the unselected items to collapse.
Font | Controls the attributes of text written in directories tree. To change a font Color, Name, Size or Style of directories tree font press Change font button.

Click Ok to apply your changes temporarily, or Save settings to apply them permanently.
Some settings can also be changed using context menu. Most of these settings are automatically saved permanently.

See also:
Options window
General options (general program settings)
Layout (options of the main window)
Compare (options of comparison tables)
Disk piecharter: General (options of Disk space viewer)
Disk piecharter: Styles (styles settings)
Comparision rules (directory comparison criteria)
Confirmations (defines which confirmations windows will be shown)
Language (options for change ADCS GUI language)
The main window


Organize favorites list

The Favorites list, which can appear either on the left or the right of the directories trees, displays a list of shortcuts to items you wish to access frequently.

Field | Meaning
Favorites menu | Displays the current Favorites list.
Path | Displays the current path to the selected Favorites item.
Up item | Up selected Favorites item to one level in the Favorites list.
Down item | Down selected Favorites item to one level in the Favorites list.
Delete item | Deletes the selected Favorites item from Favorites list. If you don't want to save maded change click on the button Cancel. To save all changes click on the button Ok.
Change title | Changes the title of the Favorites item.
Ok | Saves the changes.
Cancel | Closes the dialog box without saving.

See also:
Main window
The main menu
The toolbar
Current directory
Directories tree
Comparison table
Favorites list
Options window
List of compared directories (Navigator)
System information


Overwrite

Allows copying, herewith existing file with such name will be deleted.


Pairs in the basket

The directories pairs basket contains unique pairs only. So you can not add the same pair twice.

See also:
Directories pairs basket
Quick start tutorial
Main window


Preview synchronization window

Preview synchronization window displays operations which synchronization will take on compared files. Statistics describes changes of the compared directories after synchronization.

If you compare more than one directories pair the button Pairs list will appear. Click on this button to see List of compared directories pairs.

On the screen below you can see the Preview synchronization window:

Field | Meaning
Left pane path | Path to the left compared directories.
Right pane path | Path to the right compared directories.
Pairs list | This button opens List of compared directories pairs. This button appears only if compared more than one pair.
Current visibility filter | Displays name of current visibility filter.
Filespec | Displays current file filter specification.
Button | This button means that advanced include filter is used. Click on the button to see filter specification.
Files to copy | Displays quantity and size of files which will be copied.
Files to delete | Displays quantity and size of files which will be deleted.
Files to be overwritten | Displays quantity and size of files which will be overwritten.
Total files changes | Displays total quantity and size of files changes for left and right compared directories. the comparison table will be source. Files will be copying from Right pane of the comparison table to the Left one.
Show in preview table | These cheks allow you to define that files will be shown in the preview window.

Notes:
Icon in the center column:
- file will be copied from right directory to left one.
- file will be copied from left directory to right one.
- files will be deleted on left and right directories.
- file will be deleted in left directory.
- file will be deleted in right directory.
- file in left directory will be overwrited with file from right directory.
- file in right directory will be overwrited with file from left directory.

Click Synchronize button or press Enter to start synchronization process.

See also:
Main window
The main menu
The toolbar
Comparison table
List of compared directories (Navigator)
Directories pairs basket
Synchronizing directories
Copy selected files
Synchronization modes
Synchronization window for the Marks dependent mode
Synchronization window for the Extended mode


Window for chosing file to see it properties

On the screen below you see window for chosing file to see it properties.

File properties window

In this window you see path and file description for a file from left and right parts of the comparison table. To open properties window for the prefered file click on the button Properties of file.

See also:
Main window
Directories tree
Comparison table
Open files with associative of it extension


Remove empty folders

The window let you to remove empty folders from a directory or an entire disk.

Note:
All empty folders will be deleted directly (not in Recycle Bin)!

Remove empty folders window

Field | Meaning
Main folder | Field for enter path main source directory.
Browse | Allows to browse to find main source directory.
Include sub folders | If checked then ADCS will scan all sub folders of main folder.
Remove folders with HIDDEN attribute | If checked then ADCS will remove folders with HIDDEN attribute.
Remove folders with SYSTEM attribute | If checked then ADCS will remove folders with SYSTEM attribute.
Store removing results in log-file | If checked then ADCS will store removing results in log-file. Log-file will be placed in ADCS work folder (by default this folder is "C:\Program Files\ADCS\..")
Include specifications | List of folders which will be included for scan for empty folders.
Select | Allows to select folders from folders tree.
Exclude specifications | List of folders which will be excluded for scan for empty folders.
Select | Allows to select folders from folders tree.

See also:
Select for folders
The main window
The main menu


Rename file filter window

In the window you can rename a current predefined file filter. When you confirm renaming operation the new filter's name replaces previous one in the Predefined file filters list in the File filters window.

Note:

  • Predefined file filter name must be unique.

    See also:
    Main window
    The main menu
    File filters


Rename directories group window

In the Rename directories group window you set new name of a group. When you confirm the renaming operation a line with the new name will be placed into the Groups of pairs list. Rename directories group window is on the screen below.

See also:
Main window
The main menu
The toolbar
Current directories
Directories tree
Comparison table
Favorites list
Options window
List of compared directories (Navigator)
Directories pairs basket
System information
Overview of the Disk space viewer


Rename directory

SHIFT+F6: Rename directory

This command permits the renaming directories in the directories tree.

Select the directories in the directories tree you want to rename, then press SHIFT+F6. This will open an inplace edit window around the directory to be renamed.

Important:
You must press ENTER to confirm that you want to rename the directory. Clicking outside the inplace edit window will also consider as confirm the operation.

Note:
Don't use symbols \ / : * ? " < > | in a folder name.

See also:
Create directory
Delete directory
Directories tree


Comparison report

After completion of comparison directory process you may generate the comparison report. The comparison report is the HTML document or the comma-delimited document.

The report window is divided into groups as follows:

Click Ok to apply your changes temporarily and generate the comparison report, or Save settings to apply them permanently.

See also:
The main window
Configure comparison report (General) (Defines the general settings of the comparison report)
Configure comparison report (Table content) (Defines the content of the comparison report)
Configure comparison report (Styles) (Defines the styles of the comparison report)


Configure comparison report (General)

In this part of the dialog box, you may define the general settings of the comparison report.

Field | Meaning
Output format | Define the format of the comparison report.
HTML | The comparison report is the HTML document. You can define the font styles. You can preview this report in an any Internet browser.
Text document (comma-delimited file) | The comparison report is the comma-delimited document. You can't define the font styles.
Report output file | Define the comparison report file name and path.
Report folder | Define a default folder for the comparison report.
Browse | Allows to browse to find a destination directory for the comparison report.
Report filename | Define a default file name for the comparison report.
Include header information | Allows summary information that are included in the comparison report.
Comparison date | Includes in the comparison report date and time then this report is generated and time establish while report created.
Table content configurations | Includes in the comparison report configurations of table content.
Quantity of subdirectories | Includes in the comparison report quantity of scaned directories.
Quantity and size of comparison files | Includes in the comparison report quantity and size of comparison files.

Click Ok to apply your changes temporarily and generate the comparison report, or Save settings to apply them permanently.

See also:
The main window
Comparison report
Configure comparison report (Table content) (Defines the content of the comparison report)
Configure comparison report (Styles) (Defines the styles of the comparison report)


Configure comparison report (Styles)

In this part of dialog box, you can change comparison report styles (background color and font for Header, Directories, Left files, Right files and Equal files).

Field | Meaning
Header | The header of the comparison table.
Directories | The cell which separates directories in the comparison table.
Left files | Files on left panel of the comparison table.
Right files | Files on right panel of the comparison table.
Equal files | Files which are considered equal.

You can change font style and background color for Header, Directories, Left files, Right files and Equal files.

Field | Meaning
Font | Controls the attributes of text written in comparison report. To change a font Color, Name, Size or Style font click on the Change font button.
BgColor | Defines the background color.

Click Ok to apply your changes temporarily and generate the comparison report, or Save settings to apply them permanently.

See also:
The main window
Comparison report
Configure comparison report (Table content) (Defines the content of comparison report)
Configure comparison report (General) (Defines the general settings of comparison report)


Configure comparison report (Table content)

In this part of dialog box, you can define the content of comparison report.

Report table content page

Field | Meaning
Include files | In this part you can select files which will be include in comparison report.
Include columns (fields) | In this part you can select columns of comparison table which will be include in comparison report.
File specifications | Activate file filter. You can type file mask defines files that are included or excluded in the comparison report.
Sort by field | Defines type of sorting (Name, Extension, Size, Date).
Sort order | Defines order of sorting files (Ascending, Descending).
Panel to sort | Defines the main (left or right) panel of sort. If the filename are equal the main sort panel is important, because the sorting result may be different.

Click Ok to apply your changes temporarily and generate the comparison report, or Save settings to apply them permanently.

See also:
The main window
Comparison report
Configure comparison report (General) (Defines the general settings of the comparison report)
Configure comparison report (Styles) (Defines the styles of the comparison report)


Save file filter window

To save a predefined file filter you must set a name of the filter. The name must be unique. When you confirm saving operation a line with the filter's name will be added into the Predefined file filters list in the File filters window.

Note:

  • If you select a name from the Predefined file filter list that existing file filter will be overwritten with saving one.

    See also:
    Main window
    The main menu
    File filters


Save pairs as group window

In the Save pairs as group window you can write a name of a new group. When you confirm saving operation a line with the group's name will be added into the Groups of pairs list. Save pairs as group window is on the screen below.

See also:
Main window
The main menu
The toolbar
Current directories
Directories tree
Comparison table
Favorites list
Options window
List of compared directories (Navigator)
Directories pairs basket
System information
Overview of the Disk space viewer


Select for folders

In the window you can specify folders which will be included or excluded in a scan for remove folders.
Names of selected directories will be added as patterns.

See also:
Remove empty folders window
The main window
The main menu


Set directory exclude patterns

The window allow to set directories names which you do want to exclude from a comparison.

Set directory exclude patterns window

You can type folder patterns or select the pattern names from a tree.

Type folder name in the line 'Type folder pattern string' and click on the button Add pattern to add the typed folder name. The typed name will be added into 'Exclude patterns list for directories'. A pattern string can be a combination of valid folder name characters and the asterisk (*). The asterisk is a wildcard that represents any combination of valid folder name characters.

To add pattern names from a tree click the button Add from tree. You can select folders names in the Getting folder names window.

You can manage folder patterns in 'Exclude patterns list for directories' with following buttons:
Button | Description
Add pattern | Adds typed folder pattern.
Add from tree | Adds folder patterns from tree.
Delete pattern | Deletes selected folder pattern.
Clear patterns | Deletes all the folders patterns in the list.

To apply exclude directory patterns you have to do a comparison after editing.

You can see actual exclude directory patterns in the window View directory exclude patterns (use shortcut Ctrl+F11).

See also:
View directory exclude patterns
Getting directories names
Main window
The main menu


Skip

Not to allows copying of file.


Sorting files

The tabstop header allows to sort the list of compared files by name, extension, size, and date&time on the appropriate header. Clicking on the same headers reverses the order. A small arrow on the left of the header text shows the sort direction.

The tabstop header also allows to move the tabstop position of the list. To return back position of columns you have to click on the button Autosize columns in the comparison table ( Button autosize columns) in the Services toolbar.

To sort the files in the corresponding directory using a selected file property:

Tabstop | Meaning
Name | Sorts the files by name, then by extension.
Ext | Sorts the files by type (extension), then by name.
Size | Sorts the files by their size on disk, then by name, then by extension.
Date | Sorts the files by their creation date and time, then by name, then by extension

See also:
Main window
Directories tree
Comparison table


Synchronization window for the Extended mode

On the screen below you can see the synchronization window for the Extended mode:

Field | Meaning
Synchronization mode | This group defines the mode of synchronization. You can choose Marks dependent mode or Extended mode.
Marks dependent mode | File copy direction is defined by marks in the comparison table.
Extended mode | Extended mode includes some predefined methods of file synchronization like as Mirror copy and Backup.
Confirm overwrites | If this option checked then ADCS will ask you before overwriting files.
Show preview window | If this option checked then you see preview synchronization window before actual synchronization.
Statistics | In this group you can see file statistics for compared directories.
Remove empty folders | If checked then ADCS will remove empty folders from selected pane.
Pairs list | This button opens List of compared directories pairs. This button appears only if compared more than one pair.
Synchronization method | This group includes controls to choose a method of synchronization.
Mirror copy | ADCS will copy all files from source directory to the destination directory and delete all single files in destination directory. So the destination directory will be made identical to the source directory.
Backup copy | ADCS will copy all files from source directory to the destination directory. So files from the source folder will be added to the destination directory.
Custom | This method allows you manually select actions for files from the drop-down controls.
Copy direction | This group includes controls to choose copying direction.
Copy files from Left pane to Right pane | Directories on the Left pane of the comparison table will be source. Files will be copying from Left pane of the comparison table to the Right one.
Copy files from Right pane to Left pane | Directories on the Right pane of the comparison table will be source. Files will be copying from Right pane of the comparison table to the Left one.

Click Ok button or press Enter to start synchronization process.

See also:
Main window
The main menu
The toolbar
Comparison table
List of compared directories (Navigator)
Directories pairs basket
Synchronizing directories
Copy selected files
Synchronization modes
Synchronization window for the Marks dependent mode
Preview synchronization window


Synchronization window for the Marks dependent mode

On the screen below you can see the synchronization window for the Marks dependent mode:

Note:
Only marked files will be synchronized!

Field | Meaning
Synchronization mode | This group defines the mode of synchronization. You can choose Marks dependent mode or Extended mode.
Marks dependent mode | File copy direction is defined by marks in the comparison table.
Extended mode | Extended mode includes some predefined methods of file synchronization like as Mirror copy and Backup.
Confirm overwrites | If this option checked then ADCS will ask you before overwriting files.
Show preview window | If this option checked then you see preview synchronization window before actual synchronization.
Source directories | This group contains the names of source paths of compared directories.
Pairs list | This button opens List of compared directories pairs. This button appears only if compared more than one pair.
Left to right | Here you can see the source path for the files on the left pane of the comparison table.
Remove empty folders | If checked then ADCS will remove empty folders from source directory on the left pane of the comparison table.
Right to left | Here you can see the source path for the files on the right pane of the comparison table.
Remove empty folders | If checked then ADCS will remove empty folders from source directory on the right pane of the comparison table.

Click Ok button or press Enter to start synchronization process.

See also:
Main window
The main menu
The toolbar
Comparison table
List of compared directories (Navigator)
Directories pairs basket
Synchronizing directories
Copy selected files
Synchronization modes
Synchronization window for the Extended mode
Preview synchronization window


Synchronization modes

There are two synchronization mode: Marks dependent mode and Extended mode.

In the Marks dependent mode file copy direction is defined marks in the comparison table. Only marked files will be synchronized!

Extended mode includes some predefined methods of file synchronization like as Mirror copy and Backup. You can choose one of them or you may customize settings to meeting your needs.

See also:
Synchronizing directories
Copy selected files
Synchronization window for the Marks dependent mode
Synchronization window for the Extended mode
Preview synchronization window
Directories pairs basket
The main window


Compare toolbar

The Compare toolbar contains the following buttons:

Image | Shortcut | Description
Button compare without subdirectories | F5 | Do comparison selected directories without subdirectories
Button compare with subdirectories | ALT+F5 | Do comparison selected directories with subdirectories
 | ALT+B | Allows switching between two comparison mode: by filedata mode and by content mode
 | F4 | Refresh the comparison table

See also:
The main window
All toolbars
About the toolbars


File operations toolbar

File operations toolbar

The File operations toolbar contains the following buttons:

Image | Shortcut | Description
Button synchronize | CTRL+S | Synchronize directories
Button comparison report | CTRL+P | This menu item allows configurate and generate comparison report
Button select all | CTRL+A | Select all items in the comparison table
Button file filter | F12 | Uses filter to files in the comparison table
Button Set directory exclude patterns | F11 | Open Set directory exclude patterns window
Button View directory exclude patterns | CTRL+F11 | Open View directory exclude patterns window

See also:
The main window
All toolbars
About the toolbars


Visibility filters shortcut

Comparison by filedata mode
Comparison by content mode

The visibility filters shortcut is a part of the Visibility filters. The visibility filters shortcut provide fast access to some of the Visibility filters. When you click on the visibility filters shortcut buttons the visibility filters combobox will be changed automatically.

The Visibility filters shortcut in the comparison by filedata mode contains the following buttons:

Image | Shortcut | Description
Button visible / invisible files which by comparison need to be copied from left to right | ALT+L | Visible / Invisible files which by comparison need to be copied from left to right.
Button visible / invisible files which are considered equal with the current compare settings | ALT+E | Visible / Invisible files which are considered equal with the current compare settings
Button visible / invisible files which by comparison need to be copied from right to left | ALT+R | Visible / Invisible files which by comparison need to be copied from right to left
Button visible / invisible files which exist on one side only | ALT+S | Visible / Invisible files which exist on one side only
Button visible / invisible files which exist on both sides | ALT+D | Visible / Invisible files which exist on both sides

In the Comparison by content mode the following buttons are enabled:

Image | Shortcut | Description
 | ALT+E | Files have identical content and are considered identical by current comparison rules (no synchronization direction).
 | None | Files have identical content and are considered unequal by current comparison rules.
 | None | Files are unequal by content.

Also to controlling what files will be shown you can use visibility filters combobox or menu Show.

See also:
The main window
All toolbars
About the toolbars


Info toolbar

The Info toolbar contains the following buttons:

Image | Shortcut | Description
Button info form | CTRL+I | Shows a window with information on process of comparison and system information
Button options | CTRL+O | View options window

See also:
The main window
All toolbars
About the toolbars


Services toolbar

The Services toolbar contains the following buttons:

Image | Shortcut | Description
Button make same paths in the directories trees | CTRL+TAB | Make same paths in the directories trees
Button navigator | CTRL+N | View list of the compared directories (Navigator)
Button autosize columns | None | Autosize columns in the comparison table
Button show basket | CTRL+D | Shows the Directories pairs basket
Button change attributes | ALT+T | Shows the Change date/attributes for selected files window
Button remove empty folders | CTRL+E | Shows the Remove empty folders window

See also:
The main window
All toolbars
About the toolbars


Trees toolbar

The Trees toolbar contains the following buttons:

Image | Shortcut | Description
Button reread | CTRL+R | Refresh the directories tree
Button up one level | CTRL+U | Up one level in the directories tree
Button collapse all | CTRL+Z | Collapse all open items in the directories tree

See also:
The main window
All toolbars
About the toolbars


View toolbar

The View toolbar contains the following buttons:

Image | Shortcut | Description
Button trees | CTRL+T | Shows only directories trees
Button compare results | CTRL+G | Shows only comparison table
Button trees and compare results | CTRL+B | Shows boths directories trees and comparison table
Disk space viewer | CTRL+V | Start work with Disk space viewer

See also:
The main window
All toolbars
About the toolbars


Visibility filters combobox

The visibility filters let you quickly switch between viewing all files, equal files, equal files, etc. The single side filter displays "orphaned" files - files that are existing on one side but not existing on the other side. Visibility filters are useful for isolating missing or obsolete files.

Menu Show has the same visibility filters as the visibility filters combobox. You may hide the visibility filters combobox from the main toolbar and use menu Show.

Visibility filters are options for the file display: these filters become effective immediately, without a new comparison.

Also you can use visibility filters shortcut to controlling what files will be shown.

Visibility filters are different for each mode: Visibility filters for filedata mode and Visibility filters for content mode.

See also:
Visibility filters for content mode
Visibility filters for filedata mode
Visibility filters shortcut
Comparison modes: by filedata and by content
Comparison by filedata
Comparison by content
The main window
All toolbars
Comparison table
Comparison start tutorial


Tutorial 1

Task:
Synchronize Home Desktop and Office Desktop with using your Laptop.

Synchronization: a Home Desktop directory replicates to temporary Laptop folder and then from the Laptop folder to Office Desktop.

Lets assume that you have 3 directories which you do want to keep in sync both at home and at office:
Home Desktop | Laptop | Office Desktop
c:\My documents\Work | h:\temp\docs | c:\My documents\User
c:\My pictures | h:\temp\pics | d:\Pictures\Images
d:\My stuff | h:\temp\stuff | e:\User\Entertainment

Solution:

  • You should install Heatsoft ADCS only on your Laptop computer.

    The task is divided into 3 parts:
    Part 1: Synchronization of Home Desktop and your Laptop
    Part 2: Synchronization of your Laptop and Office Desktop
    Part 3: Further quick reference for Synchronize your Home and Office computer

    Part 1: Synchronization of Home Desktop and your Laptop

  • Connect your Laptop to Home Desktop. Run Heatsoft ADCS on your Laptop.

  • Make the Directories pairs basket visible. To do this select menu View|Directories pairs basket or press CTRL+D. Below is picture how the basket looks. On the picture the basket is empty.

  • Add directories which you want to synchronize. To add a directory you have to create a pair, for instance, "c:\My documents\Work" on Home Desktop and "h:\temp\docs" on your Laptop. To do this select the directories in the directories tree: in the left tree select "c:\My documents\Work" and in the right tree select "h:\temp\docs". When you've selected the directories, add the pair into the basket - click on the button Add pair or select menu Basket|Add pair. When all the directories have been added, the basket should look like on the screen below.

  • Save the basket contents as a group for further quick reference. To save click on the button [image]. Save pairs as group window will appear (see picture below). In the window write a name of a new group and click Ok button. In this example the name of the group is Home Desktop <-> Laptop.

    The created group will appear in the Groups of pair list.

  • Compare directories pairs in the basket. To do it press CTRL+F5 or click on the button Compare basket in the Directories pairs basket toolbar. When the comparison will been completed in the comparison table you'll see contents of all of the compared directories.

  • Set synchronization preferences and synchronize directories. To launch synchronization click on the button Button synchronize in the file operations toolbar or select menu File operations|Synchronize (CTRL+S) to synchronize your Home computer and Laptop.

  • Now you have a set of Home computer directories on your Laptop.
    Back to top

    Part 2: Synchronization of your Laptop and Office Desktop

  • Connect your Laptop to Office Desktop. Run Heatsoft ADCS on your Laptop.

  • Clear the Directories pairs basket. For this click on the button [image] or select menu Basket|Clear basket.

  • Add directories which you want to synchronize with your Laptop. To add a directory you have to create a pair, for instance, "h:\temp\docs" on the Laptop and "c:\My documents\User" on Office Desktop. To do this select the directories in the directories tree: in the left tree select "h:\temp\docs" and in the right tree select "c:\My documents\User". When you've selected the directories, add the pair into the basket - click on the button Add pair or select menu Basket|Add pair. When all the directories have been added, the basket should look like on the screen below.

  • Save the basket contents as a group for further quick reference. To save click on the button Save as group. Save pairs as group window will appear (see picture below). In the window write a name of a new group and click Ok button. In this example the name of the group is Laptop <-> Office Desktop.

    The created group will appear in the Groups of pair list.

  • Compare directories pairs in the basket. To do it press CTRL+F5 or click on the button Compare basket in the Directories pairs basket toolbar. When the comparison will been completed in the comparison table you'll see contents of all of the compared directories.

  • Set synchronization preferences and synchronize directories. To launch synchronization click on the button Button synchronize in the file operations toolbar or select menu File operations|Synchronize (CTRL+S) to synchronize your Laptop and Office computer.

  • Now you have synchronized Home Desktop and Office Desktop.
    Back to top

    Part 3: Quick reference for Synchronize your Home Desktop and Office Desktop
    Once you have created pairs of directories and have stored them as a group, you don't need to create they again for every single synchronization. Now the sync process is simplified.

    Home Desktop to Laptop

  • Connect your Laptop to Home Desktop and run ADCS on Laptop.
  • Make visible the Directories pairs basket (CTRL+D).
  • Select the group Home Desktop <-> Laptop in the Groups of pairs list and click the button [image] to replace current basket content with the selected group's one.
  • Compare pairs from the basket (CTRL+F5).
  • Synchronize directories (CTRL+S).
  • Close ADCS and disconnect your Laptop.

    Laptop to Office Desktop

  • Connect your Laptop to Office Desktop and run ADCS on Laptop.
  • Make visible the Directories pairs basket (CTRL+D).
  • Select the group Laptop <-> Office Desktop in the Groups of pair list and click the button [image] to replace current basket content with the selected group's one.
  • Compare pairs from the basket (CTRL+F5).
  • Synchronize directories (CTRL+S).
  • Close ADCS and disconnect your Laptop.

    Notes and Tips:

  • To switch how directories of a pair will be compared: with or without their subdirectories use button [image] in the Directories pairs basket toolbar or click on the icon in the center of the selected pair.
  • Click alternative mouse button at the Directories pairs basket to activate basket context menu.
  • Use SHIFT+F12 to save current basket content as a group.
  • Use SHIFT+F6 to rename selected group.
  • Use double mouse click on a group to replace current basket content with the selected group's one.

    See also:
    Quick start tutorial


Tutorial 2

Task:
Do the MIRROR COPY of directory "c:\My Documents" to the "f:\My Documents".

Solution:

  • Select the directories in the directories tree. For example, in the left tree select "ñ:\My Documents" and in the right tree select "f:\My Documents". It could be better, if you add this directories to the favorites bookmarks. Because the favorites bookmarks lets to you to quick access to the directories.

  • Compare selected directories. To compare selected directories with their subdirectories click on the button Compare with subdirectories ( Button compare with subdirectories) on the compare toolbar or press ALT+F5.

  • Click on the button Synchronize directories ( Button synchronize) in the file operations toolbar or select menu File operations|Synchronize (CTRL+S) to do the MIRROR COPY of directory "ñ:\My Documents" to the "f:\My Documents". In the synchronize window select Extended mode. Set Synchronize method to the MIRROR COPY. Set Copy direction as Copy files from Left pane to Right pane. Click on the Ok button. The preview synchronization window will appear. Check correctness of actions for files. If actions are correct click Synchronize button or press Enter to start synchronization process.

    See also:
    Quick start tutorial


Tutorial 3

Task:
Do BACKUP COPY of the directory "c:\My Documents" to the "d:\Backup\My Documents".

Solution:
  • Select the directories in the directories tree. For example, in the left tree select "c:\My Documents" and in the right tree select "d:\Backup\My Documents". It could be better, if you add this directories to the favorites bookmarks. Because the favorites bookmarks lets you to quick access to the directories.

  • Compare selected directories. Click on the button Compare with subdirectories ( Button compare with subdirectories) or press ALT+F5 to compare selected disks with their subdirectories.

  • Click on the button Synchronize directories ( Button synchronize) in the file operations toolbar or select menu File operations|Synchronize (CTRL+S) to update (backup) directory "ñ:\My Documents" to the "d:\Backup\My Documents". In the synchronize window select Extended mode. Set Synchronize method to the BACKUP COPY. Set Copy direction as Copy files from Left pane to Right pane. Click on the Ok button. The preview synchronization window will appear. Check correctness of actions for files. If actions are correct click Synchronize button or press Enter to start synchronization process.

    See also:
    Quick start tutorial


Tutorial 4

Task:
Print a content of the directory "c:\My documents".

Solution:

  • Select the directories in the directories tree. For example, in the left tree select "c:\My Documents" and press CTRL+TAB, then in the right tree ADCS will select "d:\My Documents" automatically.

  • Compare the selected directories. To compare selected directories with their subdirectories click on the button Compare with subdirectories ( Button compare with subdirectories) on the compare toolbar or press ALT+F5. When the comparison will been completed in the comparison table you'll see contents of all of the compared directories.

  • Generate the comparison report. To do it press CTRL+P or click on the button [image] in the File operations toolbar. The Configure comparison report window will appear. In the Configure comparison report window click on the Ok button. The Save report window will appear. In the Save window you must set a name of the report and save the report.

  • Run your Windows Explorer and browse to a directory where you have saved the report. When you find saved report run it. The Microsoft Internet Explorer will appear. For print the report in the Internet Explorer select menu File|Print...

    Notes:

  • You may include/exclude report columns and files, filter out files, change sorting in the report. To do it select Table content sheet in the Configure comparison report window.
  • You may change colors, fonts and styles of the report. To do it select Styles sheet in the Configure comparison report window.
  • You may export comparison report into third program like Microsoft Excel. To do this you have to save comparison report as text document(comma-delimited file) and then import this file into the program.

    See also:
    Quick start tutorial


Tutorial 5

Task:
Ensure that data on my burned CD disk has the SAME CONTENT as source data on my hard drive.

Solution:

  • Select interesting for you directories in the directories tree. For example, in the left tree select "ñ:\My Documents" and in the right tree select "f:\My Documents". Where "f:\" you CD drive letter.

  • Switch the comparison mode. To switch the mode click on the button Compare content for duplicate files ( [image]) in the compare toolbar or select menu File|Content comparison (ALT+B). Switching to content mode will occur additional comparison of content for duplicate files which have the same size.

  • Compare selected directories. To compare selected directories with their subdirectories click on the button Compare with subdirectories ( Button compare with subdirectories) on the compare toolbar or press ALT+F5.

  • In the menu Show or in the Visibility filters combobox select Not equal by content duplicate files. ADCS will show all files within the directory on CD drive "f:\My Documents" which contents are different from the source directory on the hard drive "c:\My Documents".

    See also:
    Quick start tutorial


Tutorial 6

Task:
Delete all files with extensions tmp, bak, old, $$$ from disks "c:\" and "d:\".

Solution:

  • In the left directories tree select disk "c:\". In the right tree select disk "d:\".

  • Click on the button Compare with subdirectories ( Button compare with subdirectories) or press ALT+F5 to compare selected disks with their subdirectories.

  • In the menu Show or in the Visibility filters combobox select All files. After it the comparison table will contain all files which are on both directories.

  • Click on the button Apply filter ( Button file filter) or press F12 to activate file filter window and in the field Use include file filters enter *.tmp; *.bak; *.old; *.$$$. Then the filter condition was entered click on the button Ok to apply your filter to files. ADCS will show files with extensions tmp, bak, old, $$$ in the comparison table. You will see your filter at the top of the comparison table.

  • Click on the button Select all ( Button select all) or press CTRL+A to select all files.

  • Click secondary mouse button to activate the context menu of the comparison table and select menu item Delete selected files to deleting all selected files from the comparison table. In the delete file/files window click on the button Delete both to complete the operation.

    See also:
    Quick start tutorial


Tutorial 7

Task:
Copy from directories "ñ:\My Documents" and "d:\Backup\My Documents" to directory "c:\Difference" all files that are different. Different files are files with equal filenames and unequal size, date/time or files that are existing only on one of compared directories.

Solution:

  • Create the destination directory named as "c:\Difference" for different files. To do it click secondary mouse button to activate the context menu of the directories tree and select menu item Create directory ( Button create directory F7) in the context menu of the directories tree.

  • Select directories in the directories tree. For example, in the left tree select "c:\My Documents" and in the right tree select "d:\Backup\My Documents".

  • Compare the sected diretories. To compare selected directories click on the button ( Button compare without subdirectories F5) in the compare toolbar.

  • In the menu Show or in the Visibility filters combobox select All files except equal files. After it in the comparison table you see files that are different. Different files are files with equal filenames and unequal size, date/time or files that are existing only on one of compared directories.

  • Click on the button Select all ( Button select all) or press CTRL+A to select all files.

  • Press SHIFT+F5 to activate the Copy to window. Select the directory "c:\Difference" in this window and click on the button Ok to start copying files.

    See also:
    Quick start tutorial


Tutorial 8

Task:
Find all files with extensions gif, bmp, jpeg, jpg on the disk "c:\" and then copy the files to the directory "C:\My pictures\Found Found pictures".

Solution:

  • Create the directory "c:\My pictures\Found pictures" for files what will be found. To create a directory click secondary mouse button and select menu item Create directory ( Button create directory F7) in the context menu of the directories tree.

  • Select disk "c:\" in the both directories tree.

  • Compare it with subdirectories. To compare disks press ALT+F5 or click on the button Compare with subdirectories ( Button compare with subdirectories) in the compare toolbar.

  • In the menu Show or in the Visibility filters combobox select All files. After it the comparison table will contain all files which are on both directories.

  • Click on the button Apply filter ( Button file filter) or press F12 to activate file filter window and in the field Use include file filters enter *.gif; *.bmp; *.jpeg; *.jpg. Then the filter condition was entered click on the button Ok to apply your filter to files. ADCS will show files with extensions gif, bmp, jpeg, jpg in the comparison table. You will see your filter at the top of the comparison table.

  • Click on the button Select all ( Button select all) or press CTRL+A to select all files.

  • Press SHIFT+F5 to activate the Copy to window. Select directory "c:\My pictures\Found pictures" in this window and click on the button Ok to start copying files.

    See also:
    Quick start tutorial


View directory exclude patterns

The window represents current patterns list. In the window you can track what directory exclusion patterns are actual.

View directory exclude patterns window

Exclude directory patterns are intended to allow to exclude unwanted directories from a comparison. There are two types of patterns list: "Defined" and "Applied". "Defined" is a patterns list that would be actual for next comparison. "Applied" is an actual patterns list for current comparison results in the Comparison table.

You can define exclude directory patterns in the Set directory exclude patterns window (use shortcut F11).

See also:
Set directory exclude patterns
Getting directories names
Main window
The main menu


Visibility filters for content mode

Visibility filters combobox

The visibility filters in the combobox let you quickly switch between viewing all files, matching files or mismatched files. The single side filter displays "orphaned" files - files that are existing on one side but not existing on the other side. Visibility filters are useful for isolating missing or obsolete files.

The visibility filters combobox is the part of menu Show. You may hide the visibility filters combobox from the main toolbar and use menu Show.

Visibility filters are options for the file display: these filters become effective immediately, without a new comparison.

Also you can use visibility filters shortcut to controlling what files will be shown.

The Visibility filters combobox contains the following filters:

Filter name | Meaning
All files | Shows all files that are existing on both compared directories.
All files except equal by content files | Shows all files that are existing on both compared directories except equal by content files.
All files except Single files on left pane | Shows all files that are existing on both compared directories except of files that are existing only on left compared directory.
All files except Single files on right pane | Shows all files that are existing on both compared directories except of files that are existing only on right compared directory.
Equal by content files | Shows equal by content files that are existing on both compared directories.
Equal by content files with different time or attr. | Shows equal by content files that are existing on both compared directories but have different date and time or attributes.
Not equal by content Duplicate files | Shows unequal by content duplicate files that are existing on both compared directories.
Not equal by content Duplicates and Single on left | Shows unequal by content files and files that are existing only on left compared directory.
Not equal by content Duplicates and Single on right | Shows unequal by content files and files that are existing only on right compared directory.
Single files on left pane | Shows files that are existing only on left compared directory.
Single files on right pane | Shows files that are existing only on right compared directory.
Single files on both pane | Shows single files that are existing on both compared directories.
Matching file names | Shows files with equal names that are existing on both compared directories.
Matching file size | Shows files with equal size that are existing on both compared directories.
Matching date/time | Shows files with equal date/time that are existing on both compared directories.
Different file size | Shows files with unequal size that are existing on both compared directories.
Different date/time | Shows files with unequal date/time that are existing on both compared directories.
Newer Duplicates on left pane | Shows files that are existing on both compared directories, but on left compared directory files are newer than the same on right compared directory.
Newer Duplicates on right pane | Shows files that are existing on both compared directories, but on right compared directory files are newer than the same on left compared directory.
Newer and Single files on left pane | Shows files that are existing on both compared directories, but on left compared directory files are newer than the same on right compared directory and files that are existing only on left compared directory.
Newer and Single files on right pane | Shows files that are existing on both compared directories, but on right compared directory files are newer than the same on left compared directory and files that are existing only on right compared directory.
Custom | Combination of visibility filters shortcut will be defined by user.

See also:
Visibility filters for filedata mode
Visibility filters shortcut
Visibility filters combobox
Comparison modes: by filedata and by content
Comparison by filedata
Comparison by content
The main window
All toolbars
Comparison table
Comparison start tutorial


Visibility filters for filedata mode

Visibility filters combobox

The visibility filters in the combobox let you quickly switch between viewing all files, matching files or mismatched files. The single side filter displays "orphaned" files - files that are existing on one side but not existing on the other side. Visibility filters are useful for isolating missing or obsolete files.

The visibility filters combobox is the part of menu Show. You may hide the visibility filters combobox from the main toolbar and use menu Show.

Visibility filters are options for the file display: these filters become effective immediately, without a new comparison.

Also you can use visibility filters shortcut to controlling what files will be shown.

The Visibility filters combobox contains the following filters:

Filter name | Meaning
All files | Shows all files that are existing on both compared directories.
All files except equal files | Shows all files that are existing on both compared directories except equal files with current comparison rules.
All files except Single files on left pane | Shows all files that are existing on both compared directories except of files that are existing only on left compared directory.
All files except Single files on right pane | Shows all files that are existing on both compared directories except of files that are existing only on right compared directory.
Equal files | Shows equal with current comparison rules files that are existing on both compared directories.
Not equal Duplicates files | Shows newer duplicates files that are existing on both compared directories.
Not equal Duplicates and Single files on left pane | Shows unequal files and files that are existing only on left compared directory.
Not equal Duplicates and Single files on right pane | Shows unequal files and files that are existing only on right compared directory.
Single files on left pane | Shows files that are existing only on left compared directory.
Single files on right pane | Shows files that are existing only on right compared directory.
Single files on both pane | Shows single files that are existing on both compared directories.
Matching file names | Shows files with equal names that are existing on both compared directories.
Matching file size | Shows files with equal size that are existing on both compared directories.
Matching date/time | Shows files with equal date/time that are existing on both compared directories.
Different file size | Shows files with unequal size that are existing on both compared directories.
Different date/time | Shows files with unequal date/time that are existing on both compared directories.
Newer Duplicates on left pane | Shows files that are existing on both compared directories, but on left compared directory files are newer than the same on right compared directory.
Newer Duplicates on right pane | Shows files that are existing on both compared directories, but on right compared directory files are newer than the same on left compared directory.
Newer and Single files on left pane | Shows files that are existing on both compared directories, but on left compared directory files are newer than the same on right compared directory and files that are existing only on left compared directory.
Newer and Single files on right pane | Shows files that are existing on both compared directories, but on right compared directory files are newer than the same on left compared directory and files that are existing only on right compared directory.
Custom | Combination of visibility filters shortcut will be defined by user.

See also:
Visibility filters for content mode
Visibility filters shortcut
Visibility filters combobox
Comparison modes: by filedata and by content
Comparison by filedata
Comparison by content
The main window
All toolbars
Comparison table
Comparison start tutorial